if(typeof ovi=="undefined"){
ovi={};
}
if(typeof ovi.service=="undefined"){
ovi.service={};
}
ovi.service.ApplicationManagement=function(_1,_2){
this._context=_1;
if(typeof _2=="undefined"){
createFactoryObject();
try{
this._sfwObject=nokia.services.load("AppMgtService","com.nokia.IAppMgt","1.0");
}
catch(ex){
throw new ovi.service.Exception(ovi.service.STARTUP_ERR,ex,ovi.service.ApplicationManagement.EXCEPTION);
}
}else{
if(typeof _2=="function"){
this._creationCallback=_2;
this._init();
}else{
throw new ovi.service.Exception(ovi.service.INVALID_ARG_ERR,"Callback function is wrong type",ovi.service.ApplicationManagement.EXCEPTION);
}
}
};
ovi.service.ApplicationManagement.EXCEPTION="ApplicationManagement";
ovi.service.ApplicationManagement.prototype.runtime={};
ovi.service.ApplicationManagement.prototype.apptype={};
ovi.service.ApplicationManagement.prototype.runtime.ALLTYPES=15;
ovi.service.ApplicationManagement.prototype.runtime.NATIVEPLATFORM=1;
ovi.service.ApplicationManagement.prototype.runtime.JAVAAPP=2;
ovi.service.ApplicationManagement.prototype.runtime.WIDGET=4;
ovi.service.ApplicationManagement.prototype.runtime.SECUREWIDGET=8;
ovi.service.ApplicationManagement.prototype.apptype.THEME=1000;
ovi.service.ApplicationManagement.prototype._sfwObject=null;
ovi.service.ApplicationManagement.prototype.progresstype={};
ovi.service.ApplicationManagement.prototype.progresstype.NOPROGRESS=0;
ovi.service.ApplicationManagement.prototype.progresstype.REMOTEINSTALL=1;
ovi.service.ApplicationManagement.prototype.progresstype.DOWNLOAD=2;
ovi.service.ApplicationManagement.prototype.progresstype.REMOTEINSTALLDOWNLOAD=3;
ovi.service.ApplicationManagement.prototype._connectId=[];
ovi.service.ApplicationManagement.prototype._installCallback=[];
ovi.service.ApplicationManagement.prototype._installProgressCallback=[];
ovi.service.ApplicationManagement.prototype._uninstallCallback=[];
ovi.service.ApplicationManagement.prototype._creationCallback=null;
ovi.service.ApplicationManagement.PARAM_MISMATCH_ERROR_MSG="Parameter type mismatch";
ovi.service.ApplicationManagement.APPMGT_ERROR_UPDATING_LIST=500;
ovi.service.ApplicationManagement.APPMGT_SILENT_MODE_NOT_SUPPORTED=501;
ovi.service.ApplicationManagement.APPMGT_INSTALLER_IN_USE=502;
ovi.service.ApplicationManagement.APPMGT_NOT_FOUND=503;
ovi.service.ApplicationManagement.APPMGT_MISSING_DEPENDENCIES=504;
ovi.service.ApplicationManagement.APPMGT_ALREADY_INSTALLED=505;
ovi.service.ApplicationManagement.APPMGT_INSTALLED_NOT_THEME=506;
ovi.service.ApplicationManagement.prototype._handleServiceErrors=function(ex){
if(typeof ex.code=="undefined"){
if(ex.message==ovi.service.ApplicationManagement.PARAM_MISMATCH_ERROR_MSG){
ex.code=ovi.service.INVALID_ARG_ERR;
}else{
ex.code=ovi.service.GENERAL_ERR;
}
throw new ovi.service.Exception(ex.code,ex.message,ovi.service.ApplicationManagement.EXCEPTION);
}else{
throw ex;
}
};
ovi.service.ApplicationManagement.prototype._init=function(){
var _4=this;
var cb=function(){
_4._initcallback();
};
nokia.services.init(cb);
};
ovi.service.ApplicationManagement.prototype._initcallback=function(){
var _6;
try{
this._sfwObject=nokia.services.load("AppMgtService","com.nokia.IAppMgt","1.0");
_6=new ovi.service.Error(ovi.service.SUCCESS,"");
}
catch(ex){
_6=new ovi.service.Error(ovi.service.STARTUP_ERR,ex);
}
this._creationCallback.call(this._context,_6);
};
ovi.service.ApplicationManagement.prototype.install=function(_7,_8,_9,_a,_b){
var _c=this;
if(_b!=null){
var _d=function(a,b){
_c._localInstallProgressCallback(a,b);
};
this._connectId.push(this._sfwObject.addEventListener("localInstallProgress(const QVariant&, int)",_d));
}
var cb=function(a,b,c){
_c._installPkgCallback(a,b,c);
};
this._connectId.push(this._sfwObject.addEventListener("installAppComplete(int, const QVariant&, int)",cb));
var ret=0;
try{
ret=this._sfwObject.install(_8,_9,false,_a);
}
catch(ex){
this._sfwObject.removeEventListener(this._connectId.pop());
if(_b!=null){
this._sfwObject.removeEventListener(this._connectId.pop());
}
this._handleServiceErrors(ex);
}
if(ret==0){
if(_b!=null){
this._installProgressCallback.push(_b);
}
this._installCallback.push(_7);
}else{
this._sfwObject.removeEventListener(this._connectId.pop());
if(_b!=null){
this._sfwObject.removeEventListener(this._connectId.pop());
}
throw new ovi.service.Exception(ret,"Installation error",ovi.service.ApplicationManagement.EXCEPTION);
}
};
ovi.service.ApplicationManagement.prototype.installRemoteApp=function(_15,_16,_17,_18,_19){
var _1a=this;
var _1b;
if(_18!=null){
_1b=function(a,b,c,d){
_1a._remoteInstallProgressCallback(a,b,c,d);
};
this._connectId.push(this._sfwObject.addEventListener("remoteInstallProgress(int, const QVariant&, int, int)",_1b));
}
var cb=function(a,b,c){
_1a._installPkgCallback(a,b,c);
};
this._connectId.push(this._sfwObject.addEventListener("installAppComplete(int, const QVariant&, int)",cb));
var ret=0;
try{
ret=this._sfwObject.installRemote(_17,_16,_19);
}
catch(ex){
this._sfwObject.removeEventListener(this._connectId.pop());
if(_18!=null){
this._sfwObject.removeEventListener(this._connectId.pop());
}
this._handleServiceErrors(ex);
}
if(ret==0){
if(_18!=null){
this._installProgressCallback.push(_18);
}
this._installCallback.push(_15);
}else{
this._sfwObject.removeEventListener(this._connectId.pop());
if(_18!=null){
this._sfwObject.removeEventListener(this._connectId.pop());
}
throw new ovi.service.Exception(ret,"Installation error",ovi.service.ApplicationManagement.EXCEPTION);
}
};
ovi.service.ApplicationManagement.prototype.installTheme=function(_25,_26,_27,_28,_29){
var _2a=this;
if(_29!=null){
var _2b=function(a,b){
_2a._localInstallProgressCallback(a,b);
};
this._connectId.push(this._sfwObject.addEventListener("localInstallProgress(const QVariant&, int)",_2b));
}
var cb=function(a,b,c){
_2a._installThemeCallback(a,b,c);
};
this._connectId.push(this._sfwObject.addEventListener("installThemeComplete(int, const QVariant&, int)",cb));
var ret=0;
try{
ret=this._sfwObject.installTheme(_26,_27,_28);
}
catch(ex){
this._sfwObject.removeEventListener(this._connectId.pop());
if(_29!=null){
this._sfwObject.removeEventListener(this._connectId.pop());
}
this._handleServiceErrors(ex);
}
if(ret==0){
if(_29!=null){
this._installProgressCallback.push(_29);
}
this._installCallback.push(_25);
}else{
this._sfwObject.removeEventListener(this._connectId.pop());
if(_29!=null){
this._sfwObject.removeEventListener(this._connectId.pop());
}
throw new ovi.service.Exception(ret,"Installation error",ovi.service.ApplicationManagement.EXCEPTION);
}
};
ovi.service.ApplicationManagement.prototype.installRemoteTheme=function(_33,_34,_35,_36){
var _37=this;
if(_36!==null){
var _38;
_38=function(a,b,c,d){
_37._remoteInstallProgressCallback(a,b,c,d);
};
this._connectId.push(this._sfwObject.addEventListener("remoteInstallProgress(int, const QVariant&, int, int)",_38));
}
var cb=function(a,b,c){
_37._installThemeCallback(a,b,c);
};
this._connectId.push(this._sfwObject.addEventListener("installThemeComplete(int, const QVariant&, int)",cb));
var ret=0;
try{
ret=this._sfwObject.installRemoteTheme(_35,_34);
}
catch(ex){
this._sfwObject.removeEventListener(this._connectId.pop());
if(_36!=null){
this._sfwObject.removeEventListener(this._connectId.pop());
}
this._handleServiceErrors(ex);
}
if(ret==0){
this._installCallback.push(_33);
if(_36!==null){
this._installProgressCallback.push(_36);
}
}else{
this._sfwObject.removeEventListener(this._connectId.pop());
if(_36!=null){
this._sfwObject.removeEventListener(this._connectId.pop());
}
throw new ovi.service.Exception(ret,"Theme installation error",ovi.service.ApplicationManagement.EXCEPTION);
}
};
ovi.service.ApplicationManagement.prototype._installPkgCallback=function(err,_43,_44){
if(this._installProgressCallback.length>0){
this._sfwObject.removeEventListener(this._connectId.shift());
this._installProgressCallback.shift();
}
this._sfwObject.removeEventListener(this._connectId.shift());
var cb=this._installCallback.shift();
if(cb!=null){
var ret=new ovi.service.Error(err,"InstallPkgCallback");
cb.call(this._context,ret,_43,_44);
}
};
ovi.service.ApplicationManagement.prototype._localInstallProgressCallback=function(_47,_48){
var cb;
cb=this._installProgressCallback[0];
if(cb!=null){
cb.call(this._context,_47,_48);
}
};
ovi.service.ApplicationManagement.prototype._remoteInstallProgressCallback=function(_4a,_4b,_4c,_4d){
var cb;
if(_4a==this.progresstype.DOWNLOAD||_4a==this.progresstype.REMOTEINSTALL){
cb=this._installProgressCallback[0];
}
if(cb!=null){
cb.call(this._context,_4a,_4b,_4c,_4d);
}
};
ovi.service.ApplicationManagement.prototype._installThemeCallback=function(err,_50,_51){
if(this._installProgressCallback.length>0){
this._sfwObject.removeEventListener(this._connectId.shift());
this._installProgressCallback.shift();
}
this._sfwObject.removeEventListener(this._connectId.shift());
var cb=this._installCallback.shift();
if(cb!=null){
var ret=new ovi.service.Error(err,"InstallThemeCallback");
cb.call(this._context,ret,_50,_51);
}
};
ovi.service.ApplicationManagement.prototype.cancelInstall=function(){
throw new ovi.service.Exception(ovi.service.NOT_SUPPORTED_ERR,"Not supported",ovi.service.ApplicationManagement.EXCEPTION);
};
ovi.service.ApplicationManagement.prototype.list=function(_54){
var _55;
try{
_55=this._sfwObject.list(_54);
}
catch(ex){
this._handleServiceErrors(ex);
}
if(this._sfwObject.getLastErrCode()!=0){
throw new ovi.service.Exception(this._sfwObject.getLastErrCode(),this._sfwObject.getLastErrDescription(),ovi.service.ApplicationManagement.EXCEPTION);
}
return _55;
};
ovi.service.ApplicationManagement.prototype.uninstall=function(_56,_57,_58,_59){
var _5a=this;
var cb=function(a){
_5a._uninstallAppCallback(a);
};
this._connectId.push(this._sfwObject.addEventListener("uninstallAppComplete(int)",cb));
var ret=0;
try{
ret=this._sfwObject.uninstall(_57,_58,_59);
}
catch(ex){
this._sfwObject.removeEventListener(this._connectId.pop());
this._handleServiceErrors(ex);
}
if(ret==null){
ret=ovi.service.MISSING_ARG_ERR;
}
if(ret==0){
this._uninstallCallback.push(_56);
}else{
this._sfwObject.removeEventListener(this._connectId.pop());
throw new ovi.service.Exception(ret,"Error uninstalling",ovi.service.ApplicationManagement.EXCEPTION);
}
};
ovi.service.ApplicationManagement.prototype._uninstallAppCallback=function(err){
this._sfwObject.removeEventListener(this._connectId.shift());
var cb=this._uninstallCallback.shift();
if(cb!=null){
var ret=new ovi.service.Error(err,"UninstallAppCallback");
cb.call(this._context,ret);
}
};
ovi.service.ApplicationManagement.prototype.isInstalled=function(_61,_62){
var ret=false;
try{
ret=this._sfwObject.isInstalled(_61,_62);
}
catch(ex){
this._handleServiceErrors(ex);
}
return ret;
};
ovi.service.ApplicationManagement.prototype.isThemeInstalled=function(_64){
var ret=false;
try{
ret=this._sfwObject.isThemeInstalled(_64);
}
catch(ex){
this._handleServiceErrors(ex);
}
return ret;
};
ovi.service.ApplicationManagement.prototype.launch=function(_66,_67,_68){
if((_67==this.runtime.SECUREWIDGET)&&((_68==null)||(_68.argument==""))){
_68.argument=" ";
}
var ret;
try{
ret=this._sfwObject.launch(_66,_67,_68);
}
catch(ex){
this._handleServiceErrors(ex);
}
if(ret==null){
ret=ovi.service.MISSING_ARG_ERR;
}
if(ret!=0){
throw new ovi.service.Exception(ret,"Error launching",ovi.service.ApplicationManagement.EXCEPTION);
}
};
ovi.service.ApplicationManagement.prototype.launchContent=function(_6a,_6b){
var ret=0;
try{
ret=this._sfwObject.launchContent(_6a,_6b);
}
catch(ex){
this._handleServiceErrors(ex);
}
if(ret!=0){
throw new ovi.service.Exception(ret,"Error launching content",ovi.service.ApplicationManagement.EXCEPTION);
}
};
ovi.service.ApplicationManagement.prototype.launchHelp=function(_6d){
var ret=0;
try{
ret=this._sfwObject.launchHelp(_6d);
}
catch(ex){
this._handleServiceErrors(ex);
}
if(ret!=0){
throw new ovi.service.Exception(ret,"Error launching Help",ovi.service.ApplicationManagement.EXCEPTION);
}
};

