if(typeof ovi=="undefined"){
ovi={};
}
if(typeof ovi.service=="undefined"){
ovi.service={};
}
if(typeof ovi.service.ConnectCommonEnablers=="undefined"){
ovi.service.ConnectCommonEnablers={};
}
ovi.service.ConnectCommonEnablers=function(_1,_2){
if(typeof _1=="undefined"){
throw new ovi.service.Exception(ovi.service.INVALID_ARG_ERR,"Invalid context object",ovi.service.ConnectCommonEnablers.type);
}else{
this._context=_1;
}
if(typeof _2=="undefined"){
createFactoryObject();
try{
this._contentMgrObj=nokia.services.load("ConnectCommonEnablers","com.nokia.IContentManager","1.0");
}
catch(ex){
throw new ovi.service.Exception(ovi.service.STARTUP_ERR,ex,ovi.service.ConnectCommonEnablers.type);
}
}else{
if(typeof _2=="function"){
this._creationCallback=_2;
this._init();
}else{
throw new ovi.service.Exception(ovi.service.INVALID_ARG_ERR,"Callback function is of the wrong type.",ovi.service.ConnectCommonEnablers.type);
}
}
};
ovi.service.ConnectCommonEnablers.prototype._contentMgrObj=null;
ovi.service.ConnectCommonEnablers.prototype._sendMgrObj=null;
ovi.service.ConnectCommonEnablers.prototype._destMgrObj=null;
ovi.service.ConnectCommonEnablers.prototype._creationCallback=[];
ovi.service.ConnectCommonEnablers.type="ConnectCommonEnablers";
ovi.service.ConnectCommonEnablers.prototype._init=function(){
try{
var _3=this;
var cb=function(){
_3._initcallback();
};
nokia.services.init(cb);
}
catch(e){
throw new ovi.service.Exception(ovi.service.INVALID_ARG_ERR,ErrorCode.errorPluginLoadFailed,ovi.service.ConnectCommonEnablers.type);
}
};
ovi.service.ConnectCommonEnablers.prototype._initcallback=function(){
var _5=this._createContentMgrObj();
this._creationCallback.call(this._context,_5);
};
ovi.service.ConnectCommonEnablers.prototype._createContentMgrObj=function(){
if(this._contentMgrObj==null){
var _6;
try{
this._contentMgrObj=nokia.services.load("ConnectCommonEnablers","com.nokia.IContentManager","1.0");
_6=new ovi.service.Error(ovi.service.SUCCESS,"");
}
catch(ex){
_6=new ovi.service.Error(ovi.service.STARTUP_ERR,ex);
}
return _6;
}
};
ovi.service.ConnectCommonEnablers.prototype._createSendMgrObj=function(){
if(this._sendMgrObj==null){
this._createContentMgrObj();
try{
this._sendMgrObj=this._contentMgrObj.getInterface("com.nokia.ISendManager","1.0");
if(this._contentMgrObj.getLastErrCode()!=0){
throw this._contentMgrObj.getLastErrDescription();
}
}
catch(e){
throw new ovi.service.Exception(ovi.service.STARTUP_ERR,this._contentMgrObj.getLastErrDescription(),ovi.service.ConnectCommonEnablers.type);
}
}
};
ovi.service.ConnectCommonEnablers.prototype._createDestMgrObj=function(){
if(this._destMgrObj==null){
this._createContentMgrObj();
try{
this._destMgrObj=this._contentMgrObj.getInterface("com.nokia.IDestinationsManager","1.0");
if(this._contentMgrObj.getLastErrCode()!=0){
throw this._contentMgrObj.getLastErrDescription();
}
}
catch(e){
throw this._contentMgrObj.getLastErrDescription();
}
}
};
ovi.service.ConnectCommonEnablers.prototype.send=function(_7,_8,_9,_a){
this._createSendMgrObj();
if(_7==null){
throw new ovi.service.Exception(ovi.service.INVALID_ARG_ERR,"Callback is invalid",ovi.service.ConnectCommonEnablers.type);
}
this._clientSendCallBack=_7;
var _b=this;
var _c=function(a,b){
_b._sendAsyncCallback(a,b);
};
this._connectSendId=this._sendMgrObj.addEventListener("sendCallback(QMap<QString,QVariant>, int)",_c);
var _f=this._sendMgrObj.send(_8,_9,_a);
if(_f==ovi.service.SERVICE_BUSY_ERR){
this._sendMgrObj.removeEventListener(this._connectSendId);
throw new ovi.service.Exception(ovi.service.SERVICE_BUSY_ERR,"Can not start another update",ovi.service.ConnectCommonEnablers.type);
}
};
ovi.service.ConnectCommonEnablers.prototype._sendAsyncCallback=function(_10,_11){
if(this._clientSendCallBack!=null){
this._clientSendCallBack.call(this._context,_10,_11);
}
this._sendMgrObj.removeEventListener(this._connectSendId);
};
ovi.service.ConnectCommonEnablers.prototype.cancelSend=function(_12){
return this._sendMgrObj.cancelSend(_12);
};
ovi.service.ConnectCommonEnablers.prototype.getContent=function(_13,_14){
if(_13==null){
throw new ovi.service.Exception(ovi.service.INVALID_ARG_ERR,"Callback is invalid",ovi.service.ConnectCommonEnablers.type);
}
this._clientContentCallBack=_13;
var _15=this;
var _16=function(a,b){
_15._getContentCallback(a,b);
};
this._connectContentId=this._contentMgrObj.addEventListener("contentCallback(QList< QVariant >, int)",_16);
var ret=this._contentMgrObj.getContent(_14);
if(ret==ovi.service.SERVICE_BUSY_ERR){
this._contentMgrObj.removeEventListener(this._connectContentId);
throw new ovi.service.Exception(ovi.service.SERVICE_BUSY_ERR,"Can not start another update",ovi.service.ConnectCommonEnablers.type);
}
};
ovi.service.ConnectCommonEnablers.prototype._getContentCallback=function(_1a,_1b){
if(this._clientContentCallBack!=null){
this._clientContentCallBack.call(this._context,_1a,_1b);
}
this._contentMgrObj.removeEventListener(this._connectContentId);
};
ovi.service.ConnectCommonEnablers.prototype.cancelGetContent=function(_1c){
return this._contentMgrObj.cancelGetContent(_1c);
};
ovi.service.ConnectCommonEnablers.prototype.getDestinations=function(_1d,_1e){
this._createDestMgrObj();
if(_1d==null){
throw new ovi.service.Exception(ovi.service.INVALID_ARG_ERR,"Callback is invalid",ovi.service.ConnectCommonEnablers.type);
}
this._clientGetDestinationsCallBack=_1d;
var _1f=this;
var _20=function(a,b){
_1f._getDestinationsCallBack(a,b);
};
this._connectDestId=this._destMgrObj.addEventListener("destinationsCallback(QList< QVariant >, int )",_20);
var ret=this._destMgrObj.getDestinations(_1e);
if(ret==ovi.service.SERVICE_BUSY_ERR){
this._destMgrObj.removeEventListener(this._connectDestId);
throw new ovi.service.Exception(ovi.service.SERVICE_BUSY_ERR,"Can not get destinations, busy",ovi.service.ConnectCommonEnablers.type);
}
};
ovi.service.ConnectCommonEnablers.prototype._getDestinationsCallBack=function(_24,_25){
if(this._clientGetDestinationsCallBack!=null){
this._clientGetDestinationsCallBack.call(this._context,_24,_25);
}
this._destMgrObj.removeEventListener(this._connectDestId);
};
ovi.service.ConnectCommonEnablers.prototype.cancelGetDestinations=function(_26){
return this._destMgrObj.cancelGetDestinations(_26);
};
ovi.service.ConnectCommonEnablers.prototype.initializeDestinations=function(){
this._createDestMgrObj();
this._destMgrObj.init();
};

