if(typeof ovi=="undefined"){
ovi={};
}
if(typeof ovi.service=="undefined"){
ovi.service={};
}
if(typeof ovi.service.Message=="undefined"){
ovi.service.Message={};
}
if(typeof ovi.service.Event=="undefined"){
ovi.service.Event={};
}
ovi.service._EventMessage=null;
ovi.service.Message=function(_1,_2){
if(typeof _1=="undefined"){
throw new ovi.service.Exception(ovi.service.INVALID_ARG_ERR,"Invalid context object",ovi.service.Message.EXCEPTION);
}else{
this._context=_1;
}
if(!ovi.service._EventMessage){
if(typeof _2=="undefined"){
createFactoryObject();
try{
this._emServiceObject=nokia.services.load("EventMessageApiService","com.nokia.IEventMessageApiService","1.0");
if(this._emServiceObject){
ovi.service._EventMessage=this._emServiceObject;
}
}
catch(ex){
throw new ovi.service.Exception(ovi.service.STARTUP_ERR,ex,ovi.service.Message.EXCEPTION);
}
}else{
if(typeof _2=="function"){
this._clientcallback=_2;
this._init();
}else{
throw new ovi.service.Exception(ovi.service.INVALID_ARG_ERR,"Invalid callback function",ovi.service.Message.EXCEPTION);
}
}
}else{
this._emServiceObject=ovi.service._EventMessage;
if(typeof _2=="function"){
this._clientcallback=_2;
this._initSecond();
}
}
};
ovi.service.Message.EXCEPTION="Message";
ovi.service.Message.PARAM_MISMATCH_ERROR_MSG="Parameter type mismatch";
ovi.service.Message.SUBSCRIBED_ALREADY=500;
ovi.service.Message.NOT_SUBSCRIBED=501;
ovi.service.Message.RECEIVER_NOT_FOUND=502;
ovi.service.Message.prototype._handleServiceErrors=function(ex){
if(typeof ex.code=="undefined"){
if(ex.message==ovi.service.Message.PARAM_MISMATCH_ERROR_MSG){
ex.code=ovi.service.INVALID_ARG_ERR;
}else{
ex.code=ovi.service.GENERAL_ERR;
}
throw new ovi.service.Exception(ex.code,ex.message,ovi.service.Message.EXCEPTION);
}else{
throw ex;
}
};
ovi.service.Message.prototype._init=function(){
var _4=this;
var cb=function(){
_4._initcallback();
};
nokia.services.init(cb);
};
ovi.service.Message.prototype._initcallback=function(){
var _6;
try{
this._emServiceObject=nokia.services.load("EventMessageApiService","com.nokia.IEventMessageApiService","1.0");
if(this._emServiceObject){
ovi.service._EventMessage=this._emServiceObject;
_6=new ovi.service.Error(ovi.service.SUCCESS,"");
}
}
catch(ex){
_6=new ovi.service.Error(ovi.service.STARTUP_ERR,ex.message);
}
this._clientcallback.call(this._context,_6);
};
ovi.service.Message.prototype._initSecond=function(){
var _7=this;
var cb=function(){
_7._initcallbackSecond();
};
nokia.services.init(cb);
};
ovi.service.Message.prototype._initcallbackSecond=function(){
var _9=new ovi.service.Error(ovi.service.SUCCESS,"");
this._clientcallback.call(this._context,_9);
};
ovi.service.Message.prototype.send=function(_a,_b,_c){
var _d;
try{
_d=this._emServiceObject.send(_a,_b,_c);
}
catch(ex){
this._handleServiceErrors(ex);
}
switch(_d){
case 9:
throw new ovi.service.Exception(ovi.service.Message.RECEIVER_NOT_FOUND,"Reciever not found",ovi.service.Message.EXCEPTION);
break;
case 3:
throw new ovi.service.Exception(ovi.service.DATA_OUT_OF_RANGE_ERR,"Message is too long",ovi.service.Message.EXCEPTION);
break;
case 5:
throw new ovi.service.Exception(ovi.service.GENERAL_ERR,"Error found",ovi.service.Message.EXCEPTION);
break;
case 10:
throw new ovi.service.Exception(ovi.service.INVALID_ARG_ERR,"Value format error",ovi.service.Event.EXCEPTION);
break;
case 11:
throw new ovi.service.Exception(ovi.service.INVALID_ARG_ERR,"Message Type format error",ovi.service.Event.EXCEPTION);
break;
case null:
throw new ovi.service.Exception(ovi.service.INVALID_ARG_ERR,"Invalid arguments",ovi.service.Message.EXCEPTION);
break;
}
};
ovi.service.Message.prototype.subscribe=function(_e){
if(!(_e instanceof Function)){
throw new ovi.service.Exception(ovi.service.INVALID_ARG_ERR,"Invalid callback",ovi.service.Message.EXCEPTION);
}
var _f=this._context;
if(!this._messageCallbackID){
this._messageCallbackID=this._emServiceObject.addEventListener("receive(QString, QString, QString)",function(_10,_11,_12){
_e.call(_f,_10,_11,_12);
});
}else{
throw new ovi.service.Exception(ovi.service.Message.SUBSCRIBED_ALREADY,"Subscribed already",ovi.service.Message.EXCEPTION);
}
};
ovi.service.Message.prototype.unSubscribe=function(){
if(this._messageCallbackID){
this._emServiceObject.removeEventListener(this._messageCallbackID);
this._messageCallbackID=null;
}else{
throw new ovi.service.Exception(ovi.service.Message.NOT_SUBSCRIBED,"Not subscribed yet",ovi.service.Message.EXCEPTION);
}
};
ovi.service.Event=function(_13,_14){
if(typeof _13=="undefined"){
throw new ovi.service.Exception(ovi.service.INVALID_ARG_ERR,"Invalid context object",ovi.service.Event.EXCEPTION);
}else{
this._context=_13;
}
if(!ovi.service._EventMessage){
if(typeof _14=="undefined"){
createFactoryObject();
try{
this._emServiceObject=nokia.services.load("EventMessageApiService","com.nokia.IEventMessageApiService","1.0");
if(this._emServiceObject){
ovi.service._EventMessage=this._emServiceObject;
}
}
catch(ex){
throw new ovi.service.Exception(ovi.service.STARTUP_ERR,ex,ovi.service.Event.EXCEPTION);
}
}else{
if(typeof _14=="function"){
this._clientcallback=_14;
this._init();
}else{
throw new ovi.service.Exception(ovi.service.INVALID_ARG_ERR,"Invalid callback function",ovi.service.Event.EXCEPTION);
}
}
}else{
this._emServiceObject=ovi.service._EventMessage;
if(typeof _14=="function"){
this._clientcallback=_14;
this._initSecond();
}
}
};
ovi.service.Event.EXCEPTION="Event";
ovi.service.Event.PARAM_MISMATCH_ERROR_MSG="Parameter type mismatch";
ovi.service.Event.callBackIdList=new Object;
ovi.service.Event.INVALID_EVENT=503;
ovi.service.Event.SUBSCRIBED_ALREADY=504;
ovi.service.Event.NOT_SUBSCRIBED=505;
ovi.service.Event.POST_VALUE_TYPE_MISMATCH=506;
ovi.service.Message.SUBSCRIBED_ALREADY=500;
ovi.service.Message.NOT_SUBSCRIBED=501;
ovi.service.Message.RECEIVER_NOT_FOUND=502;
ovi.service.Event.prototype._handleServiceErrors=function(ex){
if(typeof ex.code=="undefined"){
if(ex.message==ovi.service.Event.PARAM_MISMATCH_ERROR_MSG){
ex.code=ovi.service.INVALID_ARG_ERR;
}else{
ex.code=ovi.service.GENERAL_ERR;
}
throw new ovi.service.Exception(ex.code,ex.message,ovi.service.Event.EXCEPTION);
}else{
throw ex;
}
};
ovi.service.Event.prototype._init=function(){
var _16=this;
var cb=function(){
_16._initcallback();
};
nokia.services.init(cb);
};
ovi.service.Event.prototype._initcallback=function(){
var ret;
try{
this._emServiceObject=nokia.services.load("EventMessageApiService","com.nokia.IEventMessageApiService","1.0");
if(this._emServiceObject){
ovi.service._EventMessage=this._emServiceObject;
ret=new ovi.service.Error(ovi.service.SUCCESS,"");
}
}
catch(ex){
ret=new ovi.service.Error(ovi.service.STARTUP_ERR,ex.message);
}
this._clientcallback.call(this._context,ret);
};
ovi.service.Event.prototype._initSecond=function(){
var _19=this;
var cb=function(){
_19._initcallbackSecond();
};
nokia.services.init(cb);
};
ovi.service.Event.prototype._initcallbackSecond=function(){
var ret=new ovi.service.Error(ovi.service.SUCCESS,"");
this._clientcallback.call(this._context,ret);
};
ovi.service.Event.prototype.get=function(_1c){
var ret;
try{
ret=this._emServiceObject.get(_1c);
}
catch(ex){
this._handleServiceErrors(ex);
}
return ret;
};
ovi.service.Event.prototype.post=function(_1e,_1f){
var ret;
try{
ret=this._emServiceObject.post(_1e,_1f);
}
catch(ex){
this._handleServiceErrors(ex);
}
switch(ret){
case 2:
throw new ovi.service.Exception(ovi.service.Event.INVALID_EVENT,"Invalid event",ovi.service.Event.EXCEPTION);
break;
case 3:
throw new ovi.service.Exception(ovi.service.SIZE_EXCEEDED_ERR,"Post data is over size",ovi.service.Event.EXCEPTION);
break;
case 8:
throw new ovi.service.Exception(ovi.service.Event.POST_VALUE_TYPE_MISMATCH,"Post value type mismatch",ovi.service.Event.EXCEPTION);
break;
case 5:
throw new ovi.service.Exception(ovi.service.GENERAL_ERR,"Error found",ovi.service.Event.EXCEPTION);
break;
case 10:
throw new ovi.service.Exception(ovi.service.INVALID_ARG_ERR,"Value format error",ovi.service.Event.EXCEPTION);
break;
case null:
throw new ovi.service.Exception(ovi.service.INVALID_ARG_ERR,"Invalid arguments",ovi.service.Event.EXCEPTION);
break;
}
};
ovi.service.Event.prototype.subscribe=function(_21,_22){
if(!(_21 instanceof Function)){
throw new ovi.service.Exception(ovi.service.INVALID_ARG_ERR,"Invalid callback",ovi.service.Event.EXCEPTION);
}
var _23=this._context;
var ret;
try{
ret=this._emServiceObject.subscribe(_22);
}
catch(ex){
this._handleServiceErrors(ex);
}
switch(ret){
case 0:
this._eventCallbackId=this._emServiceObject.addEventListener("callBack(QString, QVariant)",function(_25,_26){
_21.call(_23,_25,_26);
});
ovi.service.Event.callBackIdList[_22]=this._eventCallbackId;
break;
case 2:
throw new ovi.service.Exception(ovi.service.Event.INVALID_EVENT,"Invalid event",ovi.service.Event.EXCEPTION);
break;
case 6:
throw new ovi.service.Exception(ovi.service.Event.SUBSCRIBED_ALREADY,"Subscribed already",ovi.service.Event.EXCEPTION);
break;
case 5:
throw new ovi.service.Exception(ovi.service.GENERAL_ERR,"Error found",ovi.service.Event.EXCEPTION);
break;
case null:
throw new ovi.service.Exception(ovi.service.INVALID_ARG_ERR,"Invalid arguments",ovi.service.Event.EXCEPTION);
break;
}
};
ovi.service.Event.prototype.unSubscribe=function(_27){
if(typeof ovi.service.Event.callBackIdList[_27]=="undefined"){
throw new ovi.service.Exception(ovi.service.Event.NOT_SUBSCRIBED,"Not subscribed yet",ovi.service.Event.EXCEPTION);
}
this._eventCallbackId=ovi.service.Event.callBackIdList[_27];
delete ovi.service.Event.callBackIdList[_27];
this._emServiceObject.removeEventListener(this._eventCallbackId);
var ret;
try{
ret=this._emServiceObject.unSubscribe(_27);
}
catch(ex){
this._handleServiceErrors(ex);
}
switch(ret){
case 2:
throw new ovi.service.Exception(ovi.service.Event.INVALID_EVENT,"Invalid event",ovi.service.Event.EXCEPTION);
break;
case 7:
throw new ovi.service.Exception(ovi.service.Event.NOT_SUBSCRIBED,"Not subscribed yet",ovi.service.Event.EXCEPTION);
break;
case null:
throw new ovi.service.Exception(ovi.service.INVALID_ARG_ERR,"Invalid arguments",ovi.service.Event.EXCEPTION);
break;
}
};

