if(typeof ovi=="undefined"){
ovi={};
}
if(typeof ovi.service=="undefined"){
ovi.service={};
}
ovi.service.SecureStorage=function(_1){
if(_1==null){
throw new ovi.service.Exception(ovi.service.INVALID_ARG_ERR,"Context argument is null",ovi.service.SecureStorage.MODULE_NAME);
}
this._context=_1;
};
ovi.service.SS_INTEGRITY_FAILED=500;
ovi.service.SS_CREATION_FAILED=501;
ovi.service.SS_CANNOT_READ_ERR=502;
ovi.service.SS_SIGNED=0;
ovi.service.SS_ENCRYPTED=1;
ovi.service.SecureStorage.MODULE_NAME="Secure Storage";
ovi.service.SecureStorage.prototype.create=function(_2,_3,_4){
var _5=null;
this._createCallback=function(){
try{
var _6=_5._create(_2,_3);
}
catch(ex){
if(typeof ex.code=="undefined"){
_6=ovi.service.GENERAL_ERR;
}else{
_6=ex.code;
}
}
if(_6!=ovi.service.SUCCESS){
ret=new ovi.service.Error(_6,"Create operation failed");
}else{
ret=new ovi.service.Error(_6,"Success Create operation");
}
this._clientCreateCallback.call(this._context,ret);
};
if((_2==null)||(_2==="")){
throw new ovi.service.Exception(ovi.service.INVALID_ARG_ERR,"Store name argument is empty",ovi.service.SecureStorage.MODULE_NAME);
}
if(typeof _4=="undefined"){
try{
_5=new ovi.service.SecureStorageInterface();
}
catch(ex){
throw new ovi.service.Exception(ex.code,ex.message,ovi.service.SecureStorage.MODULE_NAME);
}
try{
var _7=_5._create(_2,_3);
}
catch(ex){
_7=ex.code;
}
this._errorHandling(_7,"Create operation failed");
}else{
if(typeof _4=="function"){
try{
this._clientCreateCallback=_4;
var _8=this;
var cb=function(){
_8._createCallback();
};
_5=new ovi.service.SecureStorageInterface(cb);
}
catch(ex){
throw new ovi.service.Exception(ex.code,ex.message,ovi.service.SecureStorage.MODULE_NAME);
}
}else{
throw new ovi.service.Exception(ovi.service.INVALID_ARG_ERR,"Callback function is wrong type",ovi.service.SecureStorage.MODULE_NAME);
}
}
return _5;
};
ovi.service.SecureStorage.prototype.open=function(_a,_b){
if((_a==null)||(_a==="")){
throw new ovi.service.Exception(ovi.service.INVALID_ARG_ERR,"StorageName argument content is empty",ovi.service.SecureStorage.MODULE_NAME);
}
var _c=null;
this._openCallback=function(){
try{
var _d=_c._open(_a);
}
catch(ex){
if(typeof ex.code=="undefined"){
_d=ovi.service.GENERAL_ERR;
}else{
_d=ex.code;
}
}
if(_d!=ovi.service.SUCCESS){
ret=new ovi.service.Error(_d,"Open operation failed");
}else{
ret=new ovi.service.Error(_d,"Success Open operation");
}
this._clientOpenCallback.call(this._context,ret);
};
if(typeof _b=="undefined"){
try{
_c=new ovi.service.SecureStorageInterface();
}
catch(ex){
throw new ovi.service.Exception(ex.code,ex.message,ovi.service.SecureStorage.MODULE_NAME);
}
try{
var _e=_c._open(_a);
}
catch(ex){
_e=ex.code;
}
this._errorHandling(_e,"Open operation failed");
}else{
if(typeof _b=="function"){
try{
this._clientOpenCallback=_b;
var _f=this;
var cb=function(){
_f._openCallback();
};
_c=new ovi.service.SecureStorageInterface(cb);
}
catch(ex){
throw new ovi.service.Exception(ex.code,ex.message,ovi.service.SecureStorage.MODULE_NAME);
}
}else{
throw new ovi.service.Exception(ovi.service.INVALID_ARG_ERR,"Callback function is wrong type",ovi.service.SecureStorage.MODULE_NAME);
}
}
return _c;
};
ovi.service.SecureStorage.prototype.deleteStore=function(_11,_12){
if((_11==null)||(_11==="")){
throw new ovi.service.Exception(ovi.service.INVALID_ARG_ERR,"StorageName argument content is empty",ovi.service.SecureStorage.MODULE_NAME);
}
var _13=null;
this._deleteStoreCallback=function(){
try{
var _14=_13._deleteStore(_11);
}
catch(ex){
if(typeof ex.code=="undefined"){
_14=ovi.service.GENERAL_ERR;
}else{
_14=ex.code;
}
}
if(_14!=ovi.service.SUCCESS){
ret=new ovi.service.Error(_14,"Delete operation failed");
}else{
ret=new ovi.service.Error(_14,"Success Delete operation");
}
this._clientDeleteCallback.call(this._context,ret);
delete _13;
};
if(typeof _12=="undefined"){
try{
_13=new ovi.service.SecureStorageInterface();
}
catch(ex){
throw new ovi.service.Exception(ex.code,ex.message,ovi.service.SecureStorage.MODULE_NAME);
}
try{
var _15=_13._deleteStore(_11);
}
catch(ex){
_15=ex.code;
}
delete _13;
this._errorHandling(_15,"Delete operation failed");
}else{
if(typeof _12=="function"){
try{
this._clientDeleteCallback=_12;
var _16=this;
var cb=function(){
_16._deleteStoreCallback();
};
_13=new ovi.service.SecureStorageInterface(cb);
}
catch(ex){
throw new ovi.service.Exception(ex.code,ex.message,ovi.service.SecureStorage.MODULE_NAME);
}
}else{
throw new ovi.service.Exception(ovi.service.INVALID_ARG_ERR,"Callback function is wrong type",ovi.service.SecureStorage.MODULE_NAME);
}
}
};
ovi.service.SecureStorage.prototype._errorHandling=function(_18,_19){
switch(_18){
case ovi.service.SUCCESS:
break;
case ovi.service.INVALID_ARG_ERR:
throw new ovi.service.Exception(ovi.service.INVALID_ARG_ERR,"An argument is invalid",ovi.service.SecureStorage.MODULE_NAME);
break;
case ovi.service.NOT_SUPPORTED_ERR:
throw new ovi.service.Exception(ovi.service.NOT_SUPPORTED_ERR,"Functionality not supported",ovi.service.SecureStorage.MODULE_NAME);
break;
case ovi.service.URI_ALREADY_EXISTS_ERR:
throw new ovi.service.Exception(ovi.service.URI_ALREADY_EXISTS_ERR,"The store already exists",ovi.service.SecureStorage.MODULE_NAME);
break;
case ovi.service.SS_CREATION_FAILED:
throw new ovi.service.Exception(ovi.service.SS_CREATION_FAILED,"Creation of the store failed",ovi.service.SecureStorage.MODULE_NAME);
break;
case ovi.service.URI_NOT_FOUND_ERR:
throw new ovi.service.Exception(ovi.service.URI_NOT_FOUND_ERR,"The store doesn't exist",ovi.service.SecureStorage.MODULE_NAME);
break;
case ovi.service.SS_INTEGRITY_FAILED:
throw new ovi.service.Exception(ovi.service.SS_INTEGRITY_FAILED,"The store was changed",ovi.service.SecureStorage.MODULE_NAME);
break;
case ovi.service.NOT_ALLOWED_ERR:
throw new ovi.service.Exception(ovi.service.NOT_ALLOWED_ERR,"The operation is not allowed",ovi.service.SecureStorage.MODULE_NAME);
break;
default:
throw new ovi.service.Exception(ovi.service.GENERAL_ERR,_19,ovi.service.SecureStorage.MODULE_NAME);
break;
}
};
ovi.service.SecureStorageInterface=function(_1a){
if(typeof _1a=="undefined"){
try{
createFactoryObject();
this._secureStorageServiceObject=nokia.services.load("SecureStorageService","com.nokia.ISecureStorageService","1.0");
}
catch(ex){
throw new ovi.service.Exception(ovi.service.STARTUP_ERR,"The service couldn't be loaded",ovi.service.SecureStorage.MODULE_NAME);
}
}else{
if(typeof _1a=="function"){
this._clientCallback=_1a;
var _1b=this;
var cb=function(){
_1b._initcallback();
};
nokia.services.init(cb);
}else{
throw new ovi.service.Exception(ovi.service.INVALID_ARG_ERR,"Callback function is wrong type",ovi.service.SecureStorage.MODULE_NAME);
}
}
};
ovi.service.SecureStorageInterface.prototype._initcallback=function(){
this._secureStorageServiceObject=nokia.services.load("SecureStorageService","com.nokia.ISecureStorageService","1.0");
this._clientCallback();
};
ovi.service.SecureStorageInterface.prototype._create=function(_1d,_1e){
return this._secureStorageServiceObject.create(_1d,_1e);
};
ovi.service.SecureStorageInterface.prototype._open=function(_1f){
return this._secureStorageServiceObject.open(_1f);
};
ovi.service.SecureStorageInterface.prototype._deleteStore=function(_20){
return this._secureStorageServiceObject.deleteStore(_20);
};
ovi.service.SecureStorageInterface.prototype.read=function(){
try{
var _21=this._secureStorageServiceObject.read();
}
catch(ex){
this._exceptionHandling(ex.code,"The store cannot be read");
}
var _22=this._secureStorageServiceObject.getLastErrCode();
if(_22!=0){
this._exceptionHandling(_22,"The store cannot be read");
}
if((_21==null)||(_21==undefined)){
this._exceptionHandling(ovi.service.SS_CANNOT_READ_ERR);
}
return _21;
};
ovi.service.SecureStorageInterface.prototype.write=function(_23){
try{
var _24=this._secureStorageServiceObject.write(_23);
}
catch(ex){
this._exceptionHandling(ex.code,"Write operation failed");
}
this._exceptionHandling(_24,"Write operation failed");
};
ovi.service.SecureStorageInterface.prototype.verify=function(){
var _25=false;
try{
_25=this._secureStorageServiceObject.verify();
}
catch(ex){
this._exceptionHandling(ex.code,"Verify operation failed");
}
var _26=this._secureStorageServiceObject.getLastErrCode();
if(_26!=0){
this._exceptionHandling(_26,"Verify operation failed");
}
return _25;
};
ovi.service.SecureStorageInterface.prototype._exceptionHandling=function(_27,_28){
switch(_27){
case ovi.service.SUCCESS:
break;
case ovi.service.INVALID_ARG_ERR:
throw new ovi.service.Exception(ovi.service.INVALID_ARG_ERR,"An argument is invalid",ovi.service.SecureStorage.MODULE_NAME);
break;
case ovi.service.SS_CREATION_FAILED:
throw new ovi.service.Exception(ovi.service.SS_CREATION_FAILED,"Creation of the store failed",ovi.service.SecureStorage.MODULE_NAME);
break;
case ovi.service.NOT_ALLOWED_ERR:
throw new ovi.service.Exception(ovi.service.NOT_ALLOWED_ERR,"The operation is not allowed",ovi.service.SecureStorage.MODULE_NAME);
break;
case ovi.service.SS_CANNOT_READ_ERR:
throw new ovi.service.Exception(ovi.service.SS_CANNOT_READ_ERR,"The store cannot be read",ovi.service.SecureStorage.MODULE_NAME);
break;
case ovi.service.SS_INTEGRITY_FAILED:
throw new ovi.service.Exception(ovi.service.SS_INTEGRITY_FAILED,"The store was changed externally",ovi.service.SecureStorage.MODULE_NAME);
break;
default:
throw new ovi.service.Exception(ovi.service.GENERAL_ERR,_28,ovi.service.SecureStorage.MODULE_NAME);
break;
}
};

