if(typeof ovi=="undefined"){
ovi={};
}
if(typeof ovi.service=="undefined"){
ovi.service={};
}
ovi.service.ApplicationManagement=function(_1,_2){
this._context=_1;
if(typeof _2=="undefined"){
createFactoryObject();
try{
this._sfwObject=nokia.services.load("AppMgtService","com.nokia.IAppMgt","1.0");
}
catch(ex){
throw new ovi.service.Exception(ovi.service.STARTUP_ERR,ex,ovi.service.ApplicationManagement.EXCEPTION);
}
}else{
if(typeof _2=="function"){
this._creationCallback=_2;
this._init();
}else{
throw new ovi.service.Exception(ovi.service.INVALID_ARG_ERR,"Callback function is wrong type",ovi.service.ApplicationManagement.EXCEPTION);
}
}
};
ovi.service.ApplicationManagement.EXCEPTION="ApplicationManagement";
ovi.service.ApplicationManagement.prototype.runtime={};
ovi.service.ApplicationManagement.prototype.apptype={};
ovi.service.ApplicationManagement.prototype.runtime.ALLTYPES=15;
ovi.service.ApplicationManagement.prototype.runtime.NATIVEPLATFORM=1;
ovi.service.ApplicationManagement.prototype.runtime.JAVAAPP=2;
ovi.service.ApplicationManagement.prototype.runtime.WIDGET=4;
ovi.service.ApplicationManagement.prototype.runtime.SECUREWIDGET=8;
ovi.service.ApplicationManagement.prototype.apptype.THEME=1000;
ovi.service.ApplicationManagement.prototype._sfwObject=null;
ovi.service.ApplicationManagement.prototype.progresstype={};
ovi.service.ApplicationManagement.prototype.progresstype.NOPROGRESS=0;
ovi.service.ApplicationManagement.prototype.progresstype.REMOTEINSTALL=1;
ovi.service.ApplicationManagement.prototype.progresstype.DOWNLOAD=2;
ovi.service.ApplicationManagement.prototype.progresstype.REMOTEINSTALLDOWNLOAD=3;
ovi.service.ApplicationManagement.prototype._connectId=[];
ovi.service.ApplicationManagement.prototype._installCallback=[];
ovi.service.ApplicationManagement.prototype._installProgressCallback=[];
ovi.service.ApplicationManagement.prototype._uninstallCallback=[];
ovi.service.ApplicationManagement.prototype._creationCallback=null;
ovi.service.ApplicationManagement.PARAM_MISMATCH_ERROR_MSG="Parameter type mismatch";
ovi.service.ApplicationManagement.APPMGT_ERROR_UPDATING_LIST=500;
ovi.service.ApplicationManagement.APPMGT_SILENT_MODE_NOT_SUPPORTED=501;
ovi.service.ApplicationManagement.APPMGT_INSTALLER_IN_USE=502;
ovi.service.ApplicationManagement.APPMGT_NOT_FOUND=503;
ovi.service.ApplicationManagement.APPMGT_MISSING_DEPENDENCIES=504;
ovi.service.ApplicationManagement.APPMGT_ALREADY_INSTALLED=505;
ovi.service.ApplicationManagement.APPMGT_INSTALLED_NOT_THEME=506;
ovi.service.ApplicationManagement.prototype._handleServiceErrors=function(ex){
if(typeof ex.code=="undefined"){
if(ex.message==ovi.service.ApplicationManagement.PARAM_MISMATCH_ERROR_MSG){
ex.code=ovi.service.INVALID_ARG_ERR;
}else{
ex.code=ovi.service.GENERAL_ERR;
}
throw new ovi.service.Exception(ex.code,ex.message,ovi.service.ApplicationManagement.EXCEPTION);
}else{
throw ex;
}
};
ovi.service.ApplicationManagement.prototype._init=function(){
var _4=this;
var cb=function(){
_4._initcallback();
};
nokia.services.init(cb);
};
ovi.service.ApplicationManagement.prototype._initcallback=function(){
var _6;
try{
this._sfwObject=nokia.services.load("AppMgtService","com.nokia.IAppMgt","1.0");
_6=new ovi.service.Error(ovi.service.SUCCESS,"");
}
catch(ex){
_6=new ovi.service.Error(ovi.service.STARTUP_ERR,ex);
}
this._creationCallback.call(this._context,_6);
};
ovi.service.ApplicationManagement.prototype.install=function(_7,_8,_9,_a,_b){
var _c=this;
if(_b!=null){
var _d=function(a,b){
_c._localInstallProgressCallback(a,b);
};
this._connectId.push(this._sfwObject.addEventListener("localInstallProgress(const QVariant&, int)",_d));
}
var cb=function(a,b,c){
_c._installPkgCallback(a,b,c);
};
this._connectId.push(this._sfwObject.addEventListener("installAppComplete(int, const QVariant&, int)",cb));
var ret=0;
try{
ret=this._sfwObject.install(_8,_9,false,_a);
}
catch(ex){
this._sfwObject.removeEventListener(this._connectId.pop());
if(_b!=null){
this._sfwObject.removeEventListener(this._connectId.pop());
}
this._handleServiceErrors(ex);
}
if(ret==0){
if(_b!=null){
this._installProgressCallback.push(_b);
}
this._installCallback.push(_7);
}else{
this._sfwObject.removeEventListener(this._connectId.pop());
if(_b!=null){
this._sfwObject.removeEventListener(this._connectId.pop());
}
throw new ovi.service.Exception(ret,"Installation error",ovi.service.ApplicationManagement.EXCEPTION);
}
};
ovi.service.ApplicationManagement.prototype.installRemoteApp=function(_15,_16,_17,_18,_19){
var _1a=this;
var _1b;
if(_18!=null){
_1b=function(a,b,c,d){
_1a._remoteInstallProgressCallback(a,b,c,d);
};
this._connectId.push(this._sfwObject.addEventListener("remoteInstallProgress(int, const QVariant&, int, int)",_1b));
}
var cb=function(a,b,c){
_1a._installPkgCallback(a,b,c);
};
this._connectId.push(this._sfwObject.addEventListener("installAppComplete(int, const QVariant&, int)",cb));
var ret=0;
try{
ret=this._sfwObject.installRemote(_17,_16,_19);
}
catch(ex){
this._sfwObject.removeEventListener(this._connectId.pop());
if(_18!=null){
this._sfwObject.removeEventListener(this._connectId.pop());
}
this._handleServiceErrors(ex);
}
if(ret==0){
if(_18!=null){
this._installProgressCallback.push(_18);
}
this._installCallback.push(_15);
}else{
this._sfwObject.removeEventListener(this._connectId.pop());
if(_18!=null){
this._sfwObject.removeEventListener(this._connectId.pop());
}
throw new ovi.service.Exception(ret,"Installation error",ovi.service.ApplicationManagement.EXCEPTION);
}
};
ovi.service.ApplicationManagement.prototype.installTheme=function(_25,_26,_27,_28,_29){
var _2a=this;
if(_29!=null){
var _2b=function(a,b){
_2a._localInstallProgressCallback(a,b);
};
this._connectId.push(this._sfwObject.addEventListener("localInstallProgress(const QVariant&, int)",_2b));
}
var cb=function(a,b,c){
_2a._installThemeCallback(a,b,c);
};
this._connectId.push(this._sfwObject.addEventListener("installThemeComplete(int, const QVariant&, int)",cb));
var ret=0;
try{
ret=this._sfwObject.installTheme(_26,_27,_28);
}
catch(ex){
this._sfwObject.removeEventListener(this._connectId.pop());
if(_29!=null){
this._sfwObject.removeEventListener(this._connectId.pop());
}
this._handleServiceErrors(ex);
}
if(ret==0){
if(_29!=null){
this._installProgressCallback.push(_29);
}
this._installCallback.push(_25);
}else{
this._sfwObject.removeEventListener(this._connectId.pop());
if(_29!=null){
this._sfwObject.removeEventListener(this._connectId.pop());
}
throw new ovi.service.Exception(ret,"Installation error",ovi.service.ApplicationManagement.EXCEPTION);
}
};
ovi.service.ApplicationManagement.prototype.installRemoteTheme=function(_33,_34,_35,_36){
var _37=this;
if(_36!==null){
var _38;
_38=function(a,b,c,d){
_37._remoteInstallProgressCallback(a,b,c,d);
};
this._connectId.push(this._sfwObject.addEventListener("remoteInstallProgress(int, const QVariant&, int, int)",_38));
}
var cb=function(a,b,c){
_37._installThemeCallback(a,b,c);
};
this._connectId.push(this._sfwObject.addEventListener("installThemeComplete(int, const QVariant&, int)",cb));
var ret=0;
try{
ret=this._sfwObject.installRemoteTheme(_35,_34);
}
catch(ex){
this._sfwObject.removeEventListener(this._connectId.pop());
if(_36!=null){
this._sfwObject.removeEventListener(this._connectId.pop());
}
this._handleServiceErrors(ex);
}
if(ret==0){
this._installCallback.push(_33);
if(_36!==null){
this._installProgressCallback.push(_36);
}
}else{
this._sfwObject.removeEventListener(this._connectId.pop());
if(_36!=null){
this._sfwObject.removeEventListener(this._connectId.pop());
}
throw new ovi.service.Exception(ret,"Theme installation error",ovi.service.ApplicationManagement.EXCEPTION);
}
};
ovi.service.ApplicationManagement.prototype._installPkgCallback=function(err,_43,_44){
if(this._installProgressCallback.length>0){
this._sfwObject.removeEventListener(this._connectId.shift());
this._installProgressCallback.shift();
}
this._sfwObject.removeEventListener(this._connectId.shift());
var cb=this._installCallback.shift();
if(cb!=null){
var ret=new ovi.service.Error(err,"InstallPkgCallback");
cb.call(this._context,ret,_43,_44);
}
};
ovi.service.ApplicationManagement.prototype._localInstallProgressCallback=function(_47,_48){
var cb;
cb=this._installProgressCallback[0];
if(cb!=null){
cb.call(this._context,_47,_48);
}
};
ovi.service.ApplicationManagement.prototype._remoteInstallProgressCallback=function(_4a,_4b,_4c,_4d){
var cb;
if(_4a==this.progresstype.DOWNLOAD||_4a==this.progresstype.REMOTEINSTALL){
cb=this._installProgressCallback[0];
}
if(cb!=null){
cb.call(this._context,_4a,_4b,_4c,_4d);
}
};
ovi.service.ApplicationManagement.prototype._installThemeCallback=function(err,_50,_51){
if(this._installProgressCallback.length>0){
this._sfwObject.removeEventListener(this._connectId.shift());
this._installProgressCallback.shift();
}
this._sfwObject.removeEventListener(this._connectId.shift());
var cb=this._installCallback.shift();
if(cb!=null){
var ret=new ovi.service.Error(err,"InstallThemeCallback");
cb.call(this._context,ret,_50,_51);
}
};
ovi.service.ApplicationManagement.prototype.cancelInstall=function(){
throw new ovi.service.Exception(ovi.service.NOT_SUPPORTED_ERR,"Not supported",ovi.service.ApplicationManagement.EXCEPTION);
};
ovi.service.ApplicationManagement.prototype.list=function(_54){
var _55;
try{
_55=this._sfwObject.list(_54);
}
catch(ex){
this._handleServiceErrors(ex);
}
if(this._sfwObject.getLastErrCode()!=0){
throw new ovi.service.Exception(this._sfwObject.getLastErrCode(),this._sfwObject.getLastErrDescription(),ovi.service.ApplicationManagement.EXCEPTION);
}
return _55;
};
ovi.service.ApplicationManagement.prototype.uninstall=function(_56,_57,_58,_59){
var _5a=this;
var cb=function(a){
_5a._uninstallAppCallback(a);
};
this._connectId.push(this._sfwObject.addEventListener("uninstallAppComplete(int)",cb));
var ret=0;
try{
ret=this._sfwObject.uninstall(_57,_58,_59);
}
catch(ex){
this._sfwObject.removeEventListener(this._connectId.pop());
this._handleServiceErrors(ex);
}
if(ret==null){
ret=ovi.service.MISSING_ARG_ERR;
}
if(ret==0){
this._uninstallCallback.push(_56);
}else{
this._sfwObject.removeEventListener(this._connectId.pop());
throw new ovi.service.Exception(ret,"Error uninstalling",ovi.service.ApplicationManagement.EXCEPTION);
}
};
ovi.service.ApplicationManagement.prototype._uninstallAppCallback=function(err){
this._sfwObject.removeEventListener(this._connectId.shift());
var cb=this._uninstallCallback.shift();
if(cb!=null){
var ret=new ovi.service.Error(err,"UninstallAppCallback");
cb.call(this._context,ret);
}
};
ovi.service.ApplicationManagement.prototype.isInstalled=function(_61,_62){
var ret=false;
try{
ret=this._sfwObject.isInstalled(_61,_62);
}
catch(ex){
this._handleServiceErrors(ex);
}
return ret;
};
ovi.service.ApplicationManagement.prototype.isThemeInstalled=function(_64){
var ret=false;
try{
ret=this._sfwObject.isThemeInstalled(_64);
}
catch(ex){
this._handleServiceErrors(ex);
}
return ret;
};
ovi.service.ApplicationManagement.prototype.launch=function(_66,_67,_68){
if((_67==this.runtime.SECUREWIDGET)&&((_68==null)||(_68.argument==""))){
_68.argument=" ";
}
var ret;
try{
ret=this._sfwObject.launch(_66,_67,_68);
}
catch(ex){
this._handleServiceErrors(ex);
}
if(ret==null){
ret=ovi.service.MISSING_ARG_ERR;
}
if(ret!=0){
throw new ovi.service.Exception(ret,"Error launching",ovi.service.ApplicationManagement.EXCEPTION);
}
};
ovi.service.ApplicationManagement.prototype.launchContent=function(_6a,_6b){
var ret=0;
try{
ret=this._sfwObject.launchContent(_6a,_6b);
}
catch(ex){
this._handleServiceErrors(ex);
}
if(ret!=0){
throw new ovi.service.Exception(ret,"Error launching content",ovi.service.ApplicationManagement.EXCEPTION);
}
};
ovi.service.ApplicationManagement.prototype.launchHelp=function(_6d){
var ret=0;
try{
ret=this._sfwObject.launchHelp(_6d);
}
catch(ex){
this._handleServiceErrors(ex);
}
if(ret!=0){
throw new ovi.service.Exception(ret,"Error launching Help",ovi.service.ApplicationManagement.EXCEPTION);
}
};
if(typeof ovi=="undefined"){
ovi={};
}
if(typeof ovi.service=="undefined"){
ovi.service={};
}
ovi.service.CryptographicService=function(_6f,_70){
this._context=_6f;
if(typeof _70=="undefined"){
createFactoryObject();
try{
this._sfwObject=nokia.services.load("CryptographicService","com.nokia.ICryptographicService","1.0");
}
catch(ex){
throw new ovi.service.Exception(ovi.service.STARTUP_ERR,ex,ovi.service.CryptographicService.EXCEPTION);
}
}else{
if(typeof _70=="function"){
this._creationCallback=_70;
this._init();
}else{
throw new ovi.service.Exception(ovi.service.INVALID_ARG_ERR,"Callback function is of the wrong type.",ovi.service.CryptographicService.EXCEPTION);
}
}
};
ovi.service.CryptographicService.HASHMETHOD_MD5=0;
ovi.service.CryptographicService.HASHMETHOD_SHA1=1;
ovi.service.CryptographicService.EXCEPTION="CryptographicService";
ovi.service.CryptographicService.prototype._sfwObject=null;
ovi.service.CryptographicService.prototype._creationCallback=[];
ovi.service.CryptographicService.prototype._init=function(){
var _71=this;
var cb=function(){
_71._initcallback();
};
nokia.services.init(cb);
};
ovi.service.CryptographicService.prototype._initcallback=function(){
try{
this._sfwObject=nokia.services.load("CryptographicService","com.nokia.ICryptographicService","1.0");
var ret=new ovi.service.Error(ovi.service.SUCCESS,"");
}
catch(ex){
var ret=new ovi.service.Error(ovi.service.STARTUP_ERR,ex);
}
this._creationCallback.call(this._context,ret);
};
ovi.service.CryptographicService.prototype.sha1Hash=function(_74){
return this._sfwObject.hash(ovi.service.CryptographicService.HASHMETHOD_SHA1,_74);
};
ovi.service.CryptographicService.prototype.md5Hash=function(_75){
return this._sfwObject.hash(ovi.service.CryptographicService.HASHMETHOD_MD5,_75);
};
if(typeof ovi=="undefined"){
ovi={};
}
if(typeof ovi.service=="undefined"){
ovi.service={};
}
if(typeof ovi.service.DeviceConfiguration=="undefined"){
ovi.service.DeviceConfiguration={};
}
ovi.service.DeviceConfiguration=function(_76,_77){
this._context=_76;
if(typeof _77=="undefined"){
createFactoryObject();
try{
this._DeviceConfigObject=nokia.services.load("configurationservice","com.nokia.IDeviceConfigurationInterface","1.0");
}
catch(ex){
throw new ovi.service.Exception(ovi.service.STARTUP_ERR,ex,ovi.service.DeviceConfiguration.MODULENAME);
}
}else{
if(typeof _77=="function"){
this._clientcallback=_77;
this._init();
}else{
throw new ovi.service.Exception(ovi.service.INVALID_ARG_ERR,"Invalid callback function",ovi.service.DeviceConfiguration.MODULENAME);
}
}
};
ovi.service.DeviceConfiguration.MODULENAME="DeviceConfiguration";
ovi.service.DeviceConfiguration.WALLPAPER_MODE_PORTRAIT=0;
ovi.service.DeviceConfiguration.WALLPAPER_MODE_LANDSCAPE=1;
ovi.service.DeviceConfiguration.prototype._init=function(){
var _78=this;
var cb=function(){
_78._initcallback();
};
nokia.services.init(cb);
};
ovi.service.DeviceConfiguration.prototype._initcallback=function(){
try{
this._DeviceConfigObject=nokia.services.load("configurationservice","com.nokia.IDeviceConfigurationInterface","1.0");
var ret=new ovi.service.Error(ovi.service.SUCCESS,"");
}
catch(ex){
var ret=new ovi.service.Error(ovi.service.STARTUP_ERR,ex);
}
this._clientcallback.call(this._context,ret);
};
ovi.service.DeviceConfiguration.prototype.ringtone=function(_7b){
if(typeof _7b=="undefined"){
_7b="";
}
ret=this._DeviceConfigObject.ringtone(_7b);
if(ret==null){
throw new ovi.service.Exception(ovi.service.INVALID_ARG_ERR,"Profile is of invalid type",ovi.service.DeviceConfiguration.MODULENAME);
}
return ret;
};
ovi.service.DeviceConfiguration.prototype.setRingtone=function(_7c,_7d){
if(typeof _7d=="undefined"){
_7d="";
}
ret=this._DeviceConfigObject.setRingtone(_7c,_7d);
if(ret==null||ret==false){
throw new ovi.service.Exception(ovi.service.NOT_ALLOWED_ERR,"Cannot set ringtone",ovi.service.DeviceConfiguration.MODULENAME);
}
};
ovi.service.DeviceConfiguration.prototype.wallpaper=function(_7e){
ret=this._DeviceConfigObject.wallpaper(_7e);
if(ret==""||ret==null){
throw new ovi.service.Exception(ovi.service.INVALID_ARG_ERR,"Invalid wallpaper mode ",ovi.service.DeviceConfiguration.MODULENAME);
}
return ret;
};
ovi.service.DeviceConfiguration.prototype.setWallpaper=function(_7f,_80){
ret=this._DeviceConfigObject.setWallpaper(_7f,_80);
if(ret==null||ret==false){
throw new ovi.service.Exception(ovi.service.NOT_ALLOWED_ERR,"Cannot set wallpaper",ovi.service.DeviceConfiguration.MODULENAME);
}
};
ovi.service.DeviceConfiguration.prototype.theme=function(){
return this._DeviceConfigObject.theme();
};
ovi.service.DeviceConfiguration.prototype.setTheme=function(_81){
ret=this._DeviceConfigObject.setTheme(_81);
if(ret==null||ret==false){
throw new ovi.service.Exception(ovi.service.NOT_ALLOWED_ERR,"Cannot set theme",ovi.service.DeviceConfiguration.MODULENAME);
}
};
if(typeof ovi=="undefined"){
ovi={};
}
if(typeof ovi.service=="undefined"){
ovi.service={};
}
if(typeof ovi.service.DownloadManagement=="undefined"){
ovi.service.DownloadManagement={};
}
ovi.service.DownloadManagement=function(_82,_83){
if(typeof _82=="undefined"){
throw new ovi.service.Exception(ovi.service.INVALID_ARG_ERR,"Invalid context object",ovi.service.DownloadManagement.MODULENAME);
}else{
this._context=_82;
}
if(typeof _83=="undefined"){
createFactoryObject();
try{
this._DownloadMgtObject=nokia.services.load("DownloadMgtService","com.nokia.IDownloadMgt","1.0");
}
catch(ex){
throw new ovi.service.Exception(ovi.service.STARTUP_ERR,ex,ovi.service.DownloadManagement.MODULENAME);
}
}else{
if(typeof _83=="function"){
this._clientcallback=_83;
this._init();
}else{
throw new ovi.service.Exception(ovi.service.INVALID_ARG_ERR,"Invalid callback function",ovi.service.DownloadManagement.MODULENAME);
}
}
};
ovi.service.DownloadManagement.MODULENAME="DownloadManagement";
ovi.service.DownloadManagement.prototype._addedId=-1;
ovi.service.DownloadManagement.prototype._listReceivedId=-1;
ovi.service.DownloadManagement.prototype._propertiesReceivedId=-1;
ovi.service.DownloadManagement.prototype._destinationReceivedId=-1;
ovi.service.DownloadManagement.prototype._statusReceivedId=-1;
ovi.service.DownloadManagement.prototype._addCallbackFuncs=[];
ovi.service.DownloadManagement.prototype._listCallbackFuncs=[];
ovi.service.DownloadManagement.prototype._propertiesCallbackFuncs=[];
ovi.service.DownloadManagement.prototype._destinationCallbackFuncs=[];
ovi.service.DownloadManagement.prototype._statusCallbackFuncs=[];
ovi.service.DownloadManagement.DLMGT_STATUS_INVALID=0;
ovi.service.DownloadManagement.DLMGT_STATUS_ADDED=1;
ovi.service.DownloadManagement.DLMGT_STATUS_DOWNLOADING=2;
ovi.service.DownloadManagement.DLMGT_STATUS_DOWNLOADED=3;
ovi.service.DownloadManagement.DLMGT_STATUS_DOWNLOADED_PARENT=4;
ovi.service.DownloadManagement.DLMGT_STATUS_CANCEL=5;
ovi.service.DownloadManagement.DLMGT_STATUS_CANCELLING=6;
ovi.service.DownloadManagement.DLMGT_STATUS_CANCELLED=7;
ovi.service.DownloadManagement.DLMGT_STATUS_SUSPEND=8;
ovi.service.DownloadManagement.DLMGT_STATUS_SUSPENDING=9;
ovi.service.DownloadManagement.DLMGT_STATUS_SUSPENDED=10;
ovi.service.DownloadManagement.DLMGT_STATUS_PAUSE=11;
ovi.service.DownloadManagement.DLMGT_STATUS_PAUSING=12;
ovi.service.DownloadManagement.DLMGT_STATUS_PAUSED=13;
ovi.service.DownloadManagement.DLMGT_STATUS_RESUME=14;
ovi.service.DownloadManagement.DLMGT_STATUS_RESUMING=15;
ovi.service.DownloadManagement.DLMGT_STATUS_ERROR=16;
ovi.service.DownloadManagement.prototype._init=function(){
var _84=this;
var cb=function(){
_84._initcallback();
};
nokia.services.init(cb);
};
ovi.service.DownloadManagement.prototype._initcallback=function(){
try{
this._DownloadMgtObject=nokia.services.load("DownloadMgtService","com.nokia.IDownloadMgt","1.0");
var ret=new ovi.service.Error(ovi.service.SUCCESS,"");
}
catch(ex){
var ret=new ovi.service.Error(ovi.service.STARTUP_ERR,ex);
}
this._clientcallback.call(this._context,ret);
};
ovi.service.DownloadManagement.prototype.setProperty=function(_87,_88){
var _89=((_87=="queue_type")&&((_88=="sequential")||(_88=="parallel")))||((_87=="download_mode")&&((_88=="quiet")||(_88=="non_quiet")))||((_87=="persistent_mode")&&((_88=="all")||(_88=="active")));
if(_89==false){
throw new ovi.service.Exception(ovi.service.NOT_ALLOWED_ERR,"Cannot set property ",ovi.service.DownloadManagement.MODULENAME);
}
try{
var _8a=this._DownloadMgtObject.setProperty(_87,_88);
}
catch(ex){
if(typeof ex.code=="undefined"){
ex.code=ovi.service.GENERAL_ERR;
}
throw new ovi.service.Exception(ex.code,ex.message,ovi.service.DownloadManagement.MODULENAME);
}
if(_8a==false){
throw new ovi.service.Exception(ovi.service.NOT_ALLOWED_ERR,"Cannot set property",ovi.service.DownloadManagement.MODULENAME);
}
};
ovi.service.DownloadManagement.prototype.add=function(url,_8c,_8d,_8e){
if((_8e!="low")&&(_8e!="high")){
throw new ovi.service.Exception(ovi.service.NOT_ALLOWED_ERR,"Cannot add download",ovi.service.DownloadManagement.MODULENAME);
}
try{
var _8f=this._DownloadMgtObject.add(url,_8c,_8d,_8e);
}
catch(ex){
if(typeof ex.code=="undefined"){
ex.code=ovi.service.GENERAL_ERR;
}
throw new ovi.service.Exception(ex.code,ex.message,ovi.service.DownloadManagement.MODULENAME);
}
if(_8f<0){
throw new ovi.service.Exception(ovi.service.NOT_ALLOWED_ERR,"Cannot add download",ovi.service.DownloadManagement.MODULENAME);
}
return _8f;
};
ovi.service.DownloadManagement.prototype.addAsync=function(url,_91,_92,_93,_94){
if((_93!="low")&&(_93!="high")){
throw new ovi.service.Exception(ovi.service.NOT_ALLOWED_ERR,"Cannot add download",ovi.service.DownloadManagement.MODULENAME);
}
if(!(_94 instanceof Function)){
throw new ovi.service.Exception(ovi.service.INVALID_ARG_ERR,"callbackFunc is of invalid type",ovi.service.DownloadManagement.MODULENAME);
}
var _95=this;
var cb=function(id,_98,_99){
_95._addAsyncCallback(id,_98,_99);
};
if(this._addedId==-1){
this._addedId=this._DownloadMgtObject.addEventListener("added(int, const QString&, const QString&)",cb);
}
this._addCallbackFuncs.push(_94);
try{
var _9a=this._DownloadMgtObject.addAsync(url,_91,_92,_93);
}
catch(ex){
if(typeof ex.code=="undefined"){
ex.code=ovi.service.GENERAL_ERR;
}
throw new ovi.service.Exception(ex.code,ex.message,ovi.service.DownloadManagement.MODULENAME);
}
if(_9a==false){
throw new ovi.service.Exception(ovi.service.NOT_ALLOWED_ERR,"Cannot add download",ovi.service.DownloadManagement.MODULENAME);
}
};
ovi.service.DownloadManagement.prototype._addAsyncCallback=function(id,_9c,_9d){
var cb=this._addCallbackFuncs.shift();
if(cb==null){
throw new ovi.service.Exception(ovi.service.DATA_NOT_FOUND_ERR,"Unable to retrieve addAsync callback function",ovi.service.DownloadManagement.MODULENAME);
}else{
cb.call(this._context,id,_9c,_9d);
if(this._addCallbackFuncs.length==0){
this._DownloadMgtObject.removeEventListener(this._addedId);
this._addedId=-1;
}
}
};
ovi.service.DownloadManagement.prototype.resume=function(id){
try{
var _a0=this._DownloadMgtObject.resume(id);
}
catch(ex){
if(typeof ex.code=="undefined"){
ex.code=ovi.service.GENERAL_ERR;
}
throw new ovi.service.Exception(ex.code,ex.message,ovi.service.DownloadManagement.MODULENAME);
}
if(_a0==false){
throw new ovi.service.Exception(ovi.service.NOT_ALLOWED_ERR,"Cannot resume download",ovi.service.DownloadManagement.MODULENAME);
}
};
ovi.service.DownloadManagement.prototype.resumeAll=function(){
try{
var _a1=this._DownloadMgtObject.resumeAll();
}
catch(ex){
if(typeof ex.code=="undefined"){
ex.code=ovi.service.GENERAL_ERR;
}
throw new ovi.service.Exception(ex.code,ex.message,ovi.service.DownloadManagement.MODULENAME);
}
if(_a1==false){
throw new ovi.service.Exception(ovi.service.NOT_ALLOWED_ERR,"Cannot resume downloads",ovi.service.DownloadManagement.MODULENAME);
}
};
ovi.service.DownloadManagement.prototype.suspend=function(id){
try{
var _a3=this._DownloadMgtObject.suspend(id);
}
catch(ex){
if(typeof ex.code=="undefined"){
ex.code=ovi.service.GENERAL_ERR;
}
throw new ovi.service.Exception(ex.code,ex.message,ovi.service.DownloadManagement.MODULENAME);
}
if(_a3==false){
throw new ovi.service.Exception(ovi.service.NOT_ALLOWED_ERR,"Cannot suspend download",ovi.service.DownloadManagement.MODULENAME);
}
};
ovi.service.DownloadManagement.prototype.suspendAll=function(){
try{
var _a4=this._DownloadMgtObject.suspendAll();
}
catch(ex){
if(typeof ex.code=="undefined"){
ex.code=ovi.service.GENERAL_ERR;
}
throw new ovi.service.Exception(ex.code,ex.message,ovi.service.DownloadManagement.MODULENAME);
}
if(_a4==false){
throw new ovi.service.Exception(ovi.service.NOT_ALLOWED_ERR,"Cannot suspend downloads",ovi.service.DownloadManagement.MODULENAME);
}
};
ovi.service.DownloadManagement.prototype.cancel=function(id){
try{
var _a6=this._DownloadMgtObject.cancel(id);
}
catch(ex){
if(typeof ex.code=="undefined"){
ex.code=ovi.service.GENERAL_ERR;
}
throw new ovi.service.Exception(ex.code,ex.message,ovi.service.DownloadManagement.MODULENAME);
}
if(_a6==false){
throw new ovi.service.Exception(ovi.service.NOT_ALLOWED_ERR,"Cannot cancel download",ovi.service.DownloadManagement.MODULENAME);
}
};
ovi.service.DownloadManagement.prototype.clear=function(id){
try{
var _a8=this._DownloadMgtObject.clear(id);
}
catch(ex){
if(typeof ex.code=="undefined"){
ex.code=ovi.service.GENERAL_ERR;
}
throw new ovi.service.Exception(ex.code,ex.message,ovi.service.DownloadManagement.MODULENAME);
}
if(_a8==false){
throw new ovi.service.Exception(ovi.service.NOT_ALLOWED_ERR,"Cannot clear download",ovi.service.DownloadManagement.MODULENAME);
}
};
ovi.service.DownloadManagement.prototype.list=function(){
try{
var _a9=this._DownloadMgtObject.list();
}
catch(ex){
if(typeof ex.code=="undefined"){
ex.code=ovi.service.GENERAL_ERR;
}
throw new ovi.service.Exception(ex.code,ex.message,ovi.service.DownloadManagement.MODULENAME);
}
return _a9;
};
ovi.service.DownloadManagement.prototype.listAsync=function(_aa){
if(!(_aa instanceof Function)){
throw new ovi.service.Exception(ovi.service.INVALID_ARG_ERR,"callbackFunc is of invalid type",ovi.service.DownloadManagement.MODULENAME);
}
var _ab=this;
var cb=function(ids){
_ab._listAsyncCallback(ids);
};
if(this._listReceivedId==-1){
this._listReceivedId=this._DownloadMgtObject.addEventListener("listReceived(const QVariantList&)",cb);
}
this._listCallbackFuncs.push(_aa);
try{
var _ae=this._DownloadMgtObject.listAsync();
}
catch(ex){
if(typeof ex.code=="undefined"){
ex.code=ovi.service.GENERAL_ERR;
}
throw new ovi.service.Exception(ex.code,ex.message,ovi.service.DownloadManagement.MODULENAME);
}
if(_ae==false){
throw new ovi.service.Exception(ovi.service.NOT_ALLOWED_ERR,"Cannot list download ids",ovi.service.DownloadManagement.MODULENAME);
}
};
ovi.service.DownloadManagement.prototype._listAsyncCallback=function(ids){
var cb=this._listCallbackFuncs.shift();
if(cb==null){
throw new ovi.service.Exception(ovi.service.DATA_NOT_FOUND_ERR,"Unable to retrieve listAsync callback function",ovi.service.DownloadManagement.MODULENAME);
}else{
cb.call(this._context,ids);
if(this._listCallbackFuncs.length==0){
this._DownloadMgtObject.removeEventListener(this._listReceivedId);
this._listReceivedId=-1;
}
}
};
ovi.service.DownloadManagement.prototype.properties=function(){
try{
var _b1=this._DownloadMgtObject.properties();
}
catch(ex){
if(typeof ex.code=="undefined"){
ex.code=ovi.service.GENERAL_ERR;
}
throw new ovi.service.Exception(ex.code,ex.message,ovi.service.DownloadManagement.MODULENAME);
}
return _b1;
};
ovi.service.DownloadManagement.prototype.propertiesAsync=function(_b2){
if(!(_b2 instanceof Function)){
throw new ovi.service.Exception(ovi.service.INVALID_ARG_ERR,"callbackFunc is of invalid type",ovi.service.DownloadManagement.MODULENAME);
}
var _b3=this;
var cb=function(_b5){
_b3._propertiesAsyncCallback(_b5);
};
if(this._propertiesReceivedId==-1){
this._propertiesReceivedId=this._DownloadMgtObject.addEventListener("propertiesReceived(const QVariantMap&)",cb);
}
this._propertiesCallbackFuncs.push(_b2);
try{
var _b6=this._DownloadMgtObject.propertiesAsync();
}
catch(ex){
if(typeof ex.code=="undefined"){
ex.code=ovi.service.GENERAL_ERR;
}
throw new ovi.service.Exception(ex.code,ex.message,ovi.service.DownloadManagement.MODULENAME);
}
if(_b6==false){
throw new ovi.service.Exception(ovi.service.NOT_ALLOWED_ERR,"Cannot retrieve download properties",ovi.service.DownloadManagement.MODULENAME);
}
};
ovi.service.DownloadManagement.prototype._propertiesAsyncCallback=function(_b7){
var cb=this._propertiesCallbackFuncs.shift();
if(cb==null){
throw new ovi.service.Exception(ovi.service.DATA_NOT_FOUND_ERR,"Unable to retrieve propertiesAsync callback function",ovi.service.DownloadManagement.MODULENAME);
}else{
cb.call(this._context,_b7);
if(this._propertiesCallbackFuncs.length==0){
this._DownloadMgtObject.removeEventListener(this._propertiesReceivedId);
this._propertiesReceivedId=-1;
}
}
};
ovi.service.DownloadManagement.prototype.path=function(id){
try{
var _ba=this._DownloadMgtObject.path(id);
}
catch(ex){
if(typeof ex.code=="undefined"){
ex.code=ovi.service.GENERAL_ERR;
}
throw new ovi.service.Exception(ex.code,ex.message,ovi.service.DownloadManagement.MODULENAME);
}
return _ba;
};
ovi.service.DownloadManagement.prototype.name=function(id){
try{
var _bc=this._DownloadMgtObject.name(id);
}
catch(ex){
if(typeof ex.code=="undefined"){
ex.code=ovi.service.GENERAL_ERR;
}
throw new ovi.service.Exception(ex.code,ex.message,ovi.service.DownloadManagement.MODULENAME);
}
return _bc;
};
ovi.service.DownloadManagement.prototype.destination=function(id,_be){
if(!(_be instanceof Function)){
throw new ovi.service.Exception(ovi.service.INVALID_ARG_ERR,"callbackFunc is of invalid type",ovi.service.DownloadManagement.MODULENAME);
}
var _bf=this;
var cb=function(id,_c2,_c3){
_bf._destinationCallback(id,_c2,_c3);
};
if(this._destinationReceivedId==-1){
this._destinationReceivedId=this._DownloadMgtObject.addEventListener("destinationReceived(int, const QString&, const QString&)",cb);
}
this._destinationCallbackFuncs.push(_be);
try{
var _c4=this._DownloadMgtObject.destination(id);
}
catch(ex){
if(typeof ex.code=="undefined"){
ex.code=ovi.service.GENERAL_ERR;
}
throw new ovi.service.Exception(ex.code,ex.message,ovi.service.DownloadManagement.MODULENAME);
}
if(_c4==false){
throw new ovi.service.Exception(ovi.service.NOT_ALLOWED_ERR,"Cannot get download destination",ovi.service.DownloadManagement.MODULENAME);
}
};
ovi.service.DownloadManagement.prototype._destinationCallback=function(id,_c6,_c7){
var cb=this._destinationCallbackFuncs.shift();
if(cb==null){
throw new ovi.service.Exception(ovi.service.DATA_NOT_FOUND_ERR,"Unable to retrieve destination callback function",ovi.service.DownloadManagement.MODULENAME);
}else{
cb.call(this._context,id,_c6,_c7);
if(this._destinationCallbackFuncs.length==0){
this._DownloadMgtObject.removeEventListener(this._destinationReceivedId);
this._destinationReceivedId=-1;
}
}
};
ovi.service.DownloadManagement.prototype.status=function(id){
try{
var _ca=this._DownloadMgtObject.status(id);
}
catch(ex){
if(typeof ex.code=="undefined"){
ex.code=ovi.service.GENERAL_ERR;
}
throw new ovi.service.Exception(ex.code,ex.message,ovi.service.DownloadManagement.MODULENAME);
}
return _ca;
};
ovi.service.DownloadManagement.prototype.statusAsync=function(id,_cc){
if(!(_cc instanceof Function)){
throw new ovi.service.Exception(ovi.service.INVALID_ARG_ERR,"callbackFunc is of invalid type",ovi.service.DownloadManagement.MODULENAME);
}
var _cd=this;
var cb=function(id,_d0){
_cd._statusAsyncCallback(id,_d0);
};
if(this._statusReceivedId==-1){
this._statusReceivedId=this._DownloadMgtObject.addEventListener("statusReceived(int, const QVariantMap&)",cb);
}
this._statusCallbackFuncs.push(_cc);
try{
var _d1=this._DownloadMgtObject.statusAsync(id);
}
catch(ex){
if(typeof ex.code=="undefined"){
ex.code=ovi.service.GENERAL_ERR;
}
throw new ovi.service.Exception(ex.code,ex.message,ovi.service.DownloadManagement.MODULENAME);
}
if(_d1==false){
throw new ovi.service.Exception(ovi.service.NOT_ALLOWED_ERR,"Cannot retrieve download status",ovi.service.DownloadManagement.MODULENAME);
}
};
ovi.service.DownloadManagement.prototype._statusAsyncCallback=function(id,_d3){
var cb=this._statusCallbackFuncs.shift();
if(cb==null){
throw new ovi.service.Exception(ovi.service.DATA_NOT_FOUND_ERR,"Unable to retrieve statusAsync callback function",ovi.service.DownloadManagement.MODULENAME);
}else{
cb.call(this._context,id,_d3);
if(this._statusCallbackFuncs.length==0){
this._DownloadMgtObject.removeEventListener(this._statusReceivedId);
this._statusReceivedId=-1;
}
}
};
ovi.service.DownloadManagement.prototype.subscribe=function(_d5){
if(!(_d5 instanceof Function)){
throw new ovi.service.Exception(ovi.service.INVALID_ARG_ERR,"callbackFunc is of invalid type",ovi.service.DownloadManagement.MODULENAME);
}
if(typeof this._callbackId!="undefined"){
this._DownloadMgtObject.removeEventListener(this._callbackId);
}
var _d6=this._context;
this._callbackId=this._DownloadMgtObject.addEventListener("callback(int)",function(id){
_d5.call(_d6,id);
});
try{
var _d8=this._DownloadMgtObject.setCallbackEnabled(true);
}
catch(ex){
if(typeof ex.code=="undefined"){
ex.code=ovi.service.GENERAL_ERR;
}
throw new ovi.service.Exception(ex.code,ex.message,ovi.service.DownloadManagement.MODULENAME);
}
if(_d8==false){
throw new ovi.service.Exception(ovi.service.NOT_ALLOWED_ERR,"Cannot subscribe for download ids",ovi.service.DownloadManagement.MODULENAME);
}
};
ovi.service.DownloadManagement.prototype.unsubscribe=function(){
if(typeof this._callbackId!="undefined"){
this._DownloadMgtObject.removeEventListener(this._callbackId);
}
try{
var _d9=this._DownloadMgtObject.setCallbackEnabled(false);
}
catch(ex){
if(typeof ex.code=="undefined"){
ex.code=ovi.service.GENERAL_ERR;
}
throw new ovi.service.Exception(ex.code,ex.message,ovi.service.DownloadManagement.MODULENAME);
}
if(_d9==false){
throw new ovi.service.Exception(ovi.service.NOT_ALLOWED_ERR,"Cannot unsubscribe for download ids",ovi.service.DownloadManagement.MODULENAME);
}
};
ovi.service.DownloadManagement.prototype.subscribeStatus=function(_da){
if(!(_da instanceof Function)){
throw new ovi.service.Exception(ovi.service.INVALID_ARG_ERR,"callbackFunc is of invalid type",ovi.service.DownloadManagement.MODULENAME);
}
if(typeof this._statusCallbackId!="undefined"){
this._DownloadMgtObject.removeEventListener(this._statusCallbackId);
}
var _db=this._context;
this._statusCallbackId=this._DownloadMgtObject.addEventListener("statusCallback(int, const QVariantMap&)",function(id,_dd){
_da.call(_db,id,_dd);
});
try{
var _de=this._DownloadMgtObject.setStatusCallbackEnabled(true);
}
catch(ex){
if(typeof ex.code=="undefined"){
ex.code=ovi.service.GENERAL_ERR;
}
throw new ovi.service.Exception(ex.code,ex.message,ovi.service.DownloadManagement.MODULENAME);
}
if(_de==false){
throw new ovi.service.Exception(ovi.service.NOT_ALLOWED_ERR,"Cannot subscribe for download status",ovi.service.DownloadManagement.MODULENAME);
}
};
ovi.service.DownloadManagement.prototype.unsubscribeStatus=function(){
if(typeof this._statusCallbackId!="undefined"){
this._DownloadMgtObject.removeEventListener(this._statusCallbackId);
}
try{
var _df=this._DownloadMgtObject.setStatusCallbackEnabled(false);
}
catch(ex){
if(typeof ex.code=="undefined"){
ex.code=ovi.service.GENERAL_ERR;
}
throw new ovi.service.Exception(ex.code,ex.message,ovi.service.DownloadManagement.MODULENAME);
}
if(_df==false){
throw new ovi.service.Exception(ovi.service.NOT_ALLOWED_ERR,"Cannot unsubscribe for download status",ovi.service.DownloadManagement.MODULENAME);
}
};
if(typeof ovi=="undefined"){
ovi={};
}
if(typeof ovi.service=="undefined"){
ovi.service={};
}
if(typeof ovi.service.Message=="undefined"){
ovi.service.Message={};
}
if(typeof ovi.service.Event=="undefined"){
ovi.service.Event={};
}
ovi.service._EventMessage=null;
ovi.service.Message=function(_e0,_e1){
if(typeof _e0=="undefined"){
throw new ovi.service.Exception(ovi.service.INVALID_ARG_ERR,"Invalid context object",ovi.service.Message.EXCEPTION);
}else{
this._context=_e0;
}
if(!ovi.service._EventMessage){
if(typeof _e1=="undefined"){
createFactoryObject();
try{
this._emServiceObject=nokia.services.load("EventMessageApiService","com.nokia.IEventMessageApiService","1.0");
if(this._emServiceObject){
ovi.service._EventMessage=this._emServiceObject;
}
}
catch(ex){
throw new ovi.service.Exception(ovi.service.STARTUP_ERR,ex,ovi.service.Message.EXCEPTION);
}
}else{
if(typeof _e1=="function"){
this._clientcallback=_e1;
this._init();
}else{
throw new ovi.service.Exception(ovi.service.INVALID_ARG_ERR,"Invalid callback function",ovi.service.Message.EXCEPTION);
}
}
}else{
this._emServiceObject=ovi.service._EventMessage;
if(typeof _e1=="function"){
this._clientcallback=_e1;
this._initSecond();
}
}
};
ovi.service.Message.EXCEPTION="Message";
ovi.service.Message.PARAM_MISMATCH_ERROR_MSG="Parameter type mismatch";
ovi.service.Message.SUBSCRIBED_ALREADY=500;
ovi.service.Message.NOT_SUBSCRIBED=501;
ovi.service.Message.RECEIVER_NOT_FOUND=502;
ovi.service.Message.prototype._handleServiceErrors=function(ex){
if(typeof ex.code=="undefined"){
if(ex.message==ovi.service.Message.PARAM_MISMATCH_ERROR_MSG){
ex.code=ovi.service.INVALID_ARG_ERR;
}else{
ex.code=ovi.service.GENERAL_ERR;
}
throw new ovi.service.Exception(ex.code,ex.message,ovi.service.Message.EXCEPTION);
}else{
throw ex;
}
};
ovi.service.Message.prototype._init=function(){
var _e3=this;
var cb=function(){
_e3._initcallback();
};
nokia.services.init(cb);
};
ovi.service.Message.prototype._initcallback=function(){
var ret;
try{
this._emServiceObject=nokia.services.load("EventMessageApiService","com.nokia.IEventMessageApiService","1.0");
if(this._emServiceObject){
ovi.service._EventMessage=this._emServiceObject;
ret=new ovi.service.Error(ovi.service.SUCCESS,"");
}
}
catch(ex){
ret=new ovi.service.Error(ovi.service.STARTUP_ERR,ex.message);
}
this._clientcallback.call(this._context,ret);
};
ovi.service.Message.prototype._initSecond=function(){
var _e6=this;
var cb=function(){
_e6._initcallbackSecond();
};
nokia.services.init(cb);
};
ovi.service.Message.prototype._initcallbackSecond=function(){
var ret=new ovi.service.Error(ovi.service.SUCCESS,"");
this._clientcallback.call(this._context,ret);
};
ovi.service.Message.prototype.send=function(_e9,_ea,_eb){
var ret;
try{
ret=this._emServiceObject.send(_e9,_ea,_eb);
}
catch(ex){
this._handleServiceErrors(ex);
}
switch(ret){
case 9:
throw new ovi.service.Exception(ovi.service.Message.RECEIVER_NOT_FOUND,"Reciever not found",ovi.service.Message.EXCEPTION);
break;
case 3:
throw new ovi.service.Exception(ovi.service.DATA_OUT_OF_RANGE_ERR,"Message is too long",ovi.service.Message.EXCEPTION);
break;
case 5:
throw new ovi.service.Exception(ovi.service.GENERAL_ERR,"Error found",ovi.service.Message.EXCEPTION);
break;
case 10:
throw new ovi.service.Exception(ovi.service.INVALID_ARG_ERR,"Value format error",ovi.service.Event.EXCEPTION);
break;
case 11:
throw new ovi.service.Exception(ovi.service.INVALID_ARG_ERR,"Message Type format error",ovi.service.Event.EXCEPTION);
break;
case null:
throw new ovi.service.Exception(ovi.service.INVALID_ARG_ERR,"Invalid arguments",ovi.service.Message.EXCEPTION);
break;
}
};
ovi.service.Message.prototype.subscribe=function(_ed){
if(!(_ed instanceof Function)){
throw new ovi.service.Exception(ovi.service.INVALID_ARG_ERR,"Invalid callback",ovi.service.Message.EXCEPTION);
}
var _ee=this._context;
if(!this._messageCallbackID){
this._messageCallbackID=this._emServiceObject.addEventListener("receive(QString, QString, QString)",function(_ef,_f0,_f1){
_ed.call(_ee,_ef,_f0,_f1);
});
}else{
throw new ovi.service.Exception(ovi.service.Message.SUBSCRIBED_ALREADY,"Subscribed already",ovi.service.Message.EXCEPTION);
}
};
ovi.service.Message.prototype.unSubscribe=function(){
if(this._messageCallbackID){
this._emServiceObject.removeEventListener(this._messageCallbackID);
this._messageCallbackID=null;
}else{
throw new ovi.service.Exception(ovi.service.Message.NOT_SUBSCRIBED,"Not subscribed yet",ovi.service.Message.EXCEPTION);
}
};
ovi.service.Event=function(_f2,_f3){
if(typeof _f2=="undefined"){
throw new ovi.service.Exception(ovi.service.INVALID_ARG_ERR,"Invalid context object",ovi.service.Event.EXCEPTION);
}else{
this._context=_f2;
}
if(!ovi.service._EventMessage){
if(typeof _f3=="undefined"){
createFactoryObject();
try{
this._emServiceObject=nokia.services.load("EventMessageApiService","com.nokia.IEventMessageApiService","1.0");
if(this._emServiceObject){
ovi.service._EventMessage=this._emServiceObject;
}
}
catch(ex){
throw new ovi.service.Exception(ovi.service.STARTUP_ERR,ex,ovi.service.Event.EXCEPTION);
}
}else{
if(typeof _f3=="function"){
this._clientcallback=_f3;
this._init();
}else{
throw new ovi.service.Exception(ovi.service.INVALID_ARG_ERR,"Invalid callback function",ovi.service.Event.EXCEPTION);
}
}
}else{
this._emServiceObject=ovi.service._EventMessage;
if(typeof _f3=="function"){
this._clientcallback=_f3;
this._initSecond();
}
}
};
ovi.service.Event.EXCEPTION="Event";
ovi.service.Event.PARAM_MISMATCH_ERROR_MSG="Parameter type mismatch";
ovi.service.Event.callBackIdList=new Object;
ovi.service.Event.INVALID_EVENT=503;
ovi.service.Event.SUBSCRIBED_ALREADY=504;
ovi.service.Event.NOT_SUBSCRIBED=505;
ovi.service.Event.POST_VALUE_TYPE_MISMATCH=506;
ovi.service.Message.SUBSCRIBED_ALREADY=500;
ovi.service.Message.NOT_SUBSCRIBED=501;
ovi.service.Message.RECEIVER_NOT_FOUND=502;
ovi.service.Event.prototype._handleServiceErrors=function(ex){
if(typeof ex.code=="undefined"){
if(ex.message==ovi.service.Event.PARAM_MISMATCH_ERROR_MSG){
ex.code=ovi.service.INVALID_ARG_ERR;
}else{
ex.code=ovi.service.GENERAL_ERR;
}
throw new ovi.service.Exception(ex.code,ex.message,ovi.service.Event.EXCEPTION);
}else{
throw ex;
}
};
ovi.service.Event.prototype._init=function(){
var _f5=this;
var cb=function(){
_f5._initcallback();
};
nokia.services.init(cb);
};
ovi.service.Event.prototype._initcallback=function(){
var ret;
try{
this._emServiceObject=nokia.services.load("EventMessageApiService","com.nokia.IEventMessageApiService","1.0");
if(this._emServiceObject){
ovi.service._EventMessage=this._emServiceObject;
ret=new ovi.service.Error(ovi.service.SUCCESS,"");
}
}
catch(ex){
ret=new ovi.service.Error(ovi.service.STARTUP_ERR,ex.message);
}
this._clientcallback.call(this._context,ret);
};
ovi.service.Event.prototype._initSecond=function(){
var _f8=this;
var cb=function(){
_f8._initcallbackSecond();
};
nokia.services.init(cb);
};
ovi.service.Event.prototype._initcallbackSecond=function(){
var ret=new ovi.service.Error(ovi.service.SUCCESS,"");
this._clientcallback.call(this._context,ret);
};
ovi.service.Event.prototype.get=function(_fb){
var ret;
try{
ret=this._emServiceObject.get(_fb);
}
catch(ex){
this._handleServiceErrors(ex);
}
return ret;
};
ovi.service.Event.prototype.post=function(_fd,_fe){
var ret;
try{
ret=this._emServiceObject.post(_fd,_fe);
}
catch(ex){
this._handleServiceErrors(ex);
}
switch(ret){
case 2:
throw new ovi.service.Exception(ovi.service.Event.INVALID_EVENT,"Invalid event",ovi.service.Event.EXCEPTION);
break;
case 3:
throw new ovi.service.Exception(ovi.service.SIZE_EXCEEDED_ERR,"Post data is over size",ovi.service.Event.EXCEPTION);
break;
case 8:
throw new ovi.service.Exception(ovi.service.Event.POST_VALUE_TYPE_MISMATCH,"Post value type mismatch",ovi.service.Event.EXCEPTION);
break;
case 5:
throw new ovi.service.Exception(ovi.service.GENERAL_ERR,"Error found",ovi.service.Event.EXCEPTION);
break;
case 10:
throw new ovi.service.Exception(ovi.service.INVALID_ARG_ERR,"Value format error",ovi.service.Event.EXCEPTION);
break;
case null:
throw new ovi.service.Exception(ovi.service.INVALID_ARG_ERR,"Invalid arguments",ovi.service.Event.EXCEPTION);
break;
}
};
ovi.service.Event.prototype.subscribe=function(_100,_101){
if(!(_100 instanceof Function)){
throw new ovi.service.Exception(ovi.service.INVALID_ARG_ERR,"Invalid callback",ovi.service.Event.EXCEPTION);
}
var _102=this._context;
var ret;
try{
ret=this._emServiceObject.subscribe(_101);
}
catch(ex){
this._handleServiceErrors(ex);
}
switch(ret){
case 0:
this._eventCallbackId=this._emServiceObject.addEventListener("callBack(QString, QVariant)",function(_104,_105){
_100.call(_102,_104,_105);
});
ovi.service.Event.callBackIdList[_101]=this._eventCallbackId;
break;
case 2:
throw new ovi.service.Exception(ovi.service.Event.INVALID_EVENT,"Invalid event",ovi.service.Event.EXCEPTION);
break;
case 6:
throw new ovi.service.Exception(ovi.service.Event.SUBSCRIBED_ALREADY,"Subscribed already",ovi.service.Event.EXCEPTION);
break;
case 5:
throw new ovi.service.Exception(ovi.service.GENERAL_ERR,"Error found",ovi.service.Event.EXCEPTION);
break;
case null:
throw new ovi.service.Exception(ovi.service.INVALID_ARG_ERR,"Invalid arguments",ovi.service.Event.EXCEPTION);
break;
}
};
ovi.service.Event.prototype.unSubscribe=function(_106){
if(typeof ovi.service.Event.callBackIdList[_106]=="undefined"){
throw new ovi.service.Exception(ovi.service.Event.NOT_SUBSCRIBED,"Not subscribed yet",ovi.service.Event.EXCEPTION);
}
this._eventCallbackId=ovi.service.Event.callBackIdList[_106];
delete ovi.service.Event.callBackIdList[_106];
this._emServiceObject.removeEventListener(this._eventCallbackId);
var ret;
try{
ret=this._emServiceObject.unSubscribe(_106);
}
catch(ex){
this._handleServiceErrors(ex);
}
switch(ret){
case 2:
throw new ovi.service.Exception(ovi.service.Event.INVALID_EVENT,"Invalid event",ovi.service.Event.EXCEPTION);
break;
case 7:
throw new ovi.service.Exception(ovi.service.Event.NOT_SUBSCRIBED,"Not subscribed yet",ovi.service.Event.EXCEPTION);
break;
case null:
throw new ovi.service.Exception(ovi.service.INVALID_ARG_ERR,"Invalid arguments",ovi.service.Event.EXCEPTION);
break;
}
};
if(typeof ovi=="undefined"){
ovi={};
}
if(typeof ovi.service=="undefined"){
ovi.service={};
}
ovi.service.lowDiskSpaceNotifierObject=null;
ovi.service.LowDiskSpaceNotifier=function(_108){
try{
this.eventObj=new ovi.service.Event(this);
this.eventObj.subscribe(_108,"com.nokia.lowdiskspaceevent");
}
catch(ex){
alert("Failed to start the Low Disk Space Notifier ("+ex.message+")");
}
if(!ovi.service.lowDiskSpaceNotifierObject){
try{
ovi.service.lowDiskSpaceNotifierObject=nokia.services.load("LowDiskSpaceNotifierService","com.nokia.ILowDiskSpaceNotifierService","1.0");
}
catch(ldmEx){
throw new ovi.service.Exception(ovi.service.STARTUP_ERR,ldmEx,"ldm");
}
}
};
if(typeof ovi=="undefined"){
ovi={};
}
if(typeof ovi.service=="undefined"){
ovi.service={};
}
ovi.service.NativeApplicationUpdate={};
ovi.service.NativeApplicationUpdate=function(_109,_10a){
if(typeof _109=="undefined"){
throw new ovi.service.Exception(ovi.service.INVALID_ARG_ERR,"Invalid context object",ovi.service.Message.EXCEPTION);
}else{
this._context=_109;
}
if(typeof _10a=="undefined"){
createFactoryObject();
try{
this._so=nokia.services.load("nativeappupdateservice","com.nokia.INativeAppUpdateInterface","1.0");
}
catch(ex){
throw new ovi.service.Exception(ovi.service.STARTUP_ERR,ex,ovi.service.NativeApplicationUpdate.MODULENAME);
}
}else{
if(_10a instanceof Function){
this._clientcallback=_10a;
this._init();
}else{
throw new ovi.service.Exception(ovi.service.INVALID_ARG_ERR,"Invalid Parameter",ovi.service.NativeApplicationUpdate.MODULENAME);
}
}
};
ovi.service.NativeApplicationUpdate.NO_UPDATE_AVAILABLE=500;
ovi.service.NativeApplicationUpdate.UPDATE_PARTIALLY_SUCCEEDED=501;
ovi.service.NativeApplicationUpdate.UPDATE_FAILED=502;
ovi.service.NativeApplicationUpdate.UPGRADE_NOT_POSSIBLE=503;
ovi.service.NativeApplicationUpdate.UPGRADE_NOT_REQUIRED=504;
ovi.service.NativeApplicationUpdate.UPGRADE_NOT_FOUND=505;
ovi.service.NativeApplicationUpdate.DOWNLOAD_FAILED=506;
ovi.service.NativeApplicationUpdate.UPGRADE_FAILED=507;
ovi.service.NativeApplicationUpdate.UPGRADE_QUERY_FAILED=508;
ovi.service.NativeApplicationUpdate.UPGRADE_BUSY=509;
ovi.service.NativeApplicationUpdate.MODULENAME="NativeApplicationUpdate";
ovi.service.NativeApplicationUpdate.prototype.upgradestatus={};
ovi.service.NativeApplicationUpdate.prototype.upgradestatus.NAU_UPGRADE_STARTED=0;
ovi.service.NativeApplicationUpdate.prototype.upgradestatus.NAU_DOWNLOAD_STATUS=1;
ovi.service.NativeApplicationUpdate.prototype.upgradestatus.NAU_UPGRADE_PROGRESS=2;
ovi.service.NativeApplicationUpdate.prototype.upgradestatus.NAU_UPGRADE_COMPLETE=3;
ovi.service.NativeApplicationUpdate.prototype.upgradeguidance={};
ovi.service.NativeApplicationUpdate.prototype.upgradeguidance.NAU_KEEP_RUNNING=0;
ovi.service.NativeApplicationUpdate.prototype.upgradeguidance.NAU_MUST_EXIT=1;
ovi.service.NativeApplicationUpdate.prototype.upgradeguidance.NAU_MUST_EXIT_OTHER_WILL_CLOSED=2;
ovi.service.NativeApplicationUpdate.prototype.upgradeguidance.NAU_MUST_EXIT_REBOOT_REQUIRED=3;
ovi.service.NativeApplicationUpdate.prototype._checkUpdatesConnectId=-1;
ovi.service.NativeApplicationUpdate.prototype._updateConnectId=-1;
ovi.service.NativeApplicationUpdate.prototype._queryConnectId=-1;
ovi.service.NativeApplicationUpdate.prototype._upgradeConnectId=-1;
ovi.service.NativeApplicationUpdate.prototype._errorConnectId=-1;
ovi.service.NativeApplicationUpdate.prototype._checkUpdatesCBHolder=[];
ovi.service.NativeApplicationUpdate.prototype._updateCBHolder=[];
ovi.service.NativeApplicationUpdate.prototype._queryCBHolder=[];
ovi.service.NativeApplicationUpdate.prototype._upgradeCBHolder=[];
ovi.service.NativeApplicationUpdate.prototype._errorCBHolder=[];
ovi.service.NativeApplicationUpdate.prototype._init=function(){
var self=this;
var cb=function(){
self._initcallback();
};
nokia.services.init(cb);
};
ovi.service.NativeApplicationUpdate.prototype._initcallback=function(){
var ret=null;
try{
this._so=nokia.services.load("nativeappupdateservice","com.nokia.INativeAppUpdateInterface","1.0");
ret=new ovi.service.Exception(ovi.service.SUCCESS,"",ovi.service.NativeApplicationUpdate.MODULENAME);
}
catch(ex){
ret=new ovi.service.Exception(ovi.service.STARTUP_ERR,ex,ovi.service.NativeApplicationUpdate.MODULENAME);
}
this._clientcallback.call(this._context,ret);
};
ovi.service.NativeApplicationUpdate.prototype.checkUpdates=function(_10e,uid,_110,_111,_112){
if(!(_10e instanceof Function)){
throw new ovi.service.Exception(ovi.service.INVALID_ARG_ERR,"Invalid callback",ovi.service.NativeApplicationUpdate.MODULENAME);
}
if(typeof uid=="undefined"){
uid=="";
}
if(typeof _110=="undefined"){
_110=="";
}
if(typeof _111=="undefined"){
_111=="";
}
if(typeof _112=="undefined"){
_112=="";
}
if(this._checkUpdatesConnectId==-1){
var self=this;
var cb=function(ret){
self._checkUpdatesCB(ret);
};
this._checkUpdatesConnectId=this._so.addEventListener("checkUpdatesComplete(int)",cb);
}
this._checkUpdatesCBHolder.push(_10e);
this._so.checkUpdates(uid,_110,_111,_112);
};
ovi.service.NativeApplicationUpdate.prototype.checkUpdatesForceRefresh=function(_116,uid,_118,_119,_11a){
if(!(_116 instanceof Function)){
throw new ovi.service.Exception(ovi.service.INVALID_ARG_ERR,"Invalid callback",ovi.service.NativeApplicationUpdate.MODULENAME);
}
if(typeof uid=="undefined"){
uid=="";
}
if(typeof _118=="undefined"){
_118=="";
}
if(typeof _119=="undefined"){
_119=="";
}
if(typeof _11a=="undefined"){
_11a=="";
}
if(this._checkUpdatesConnectId==-1){
var self=this;
var cb=function(ret){
self._checkUpdatesCB(ret);
};
this._checkUpdatesConnectId=this._so.addEventListener("checkUpdatesComplete(int)",cb);
}
this._checkUpdatesCBHolder.push(_116);
this._so.checkUpdatesForceRefresh(uid,_118,_119,_11a);
};
ovi.service.NativeApplicationUpdate.prototype._checkUpdatesCB=function(ret){
if(this._checkUpdatesCBHolder.length==1){
this._so.removeEventListener(this._checkUpdatesConnectId);
this._checkUpdatesConnectId=-1;
}
var cb=this._checkUpdatesCBHolder.shift();
if(cb!=null){
var _120=this._context;
var _121=this._parse(ret);
cb.call(_120,_121);
}else{
throw new ovi.service.Exception(ovi.service.DATA_NOT_FOUND_ERR,"Unable to retrieve callback function",ovi.service.NativeApplicationUpdate.MODULENAME);
}
};
ovi.service.NativeApplicationUpdate.prototype.startUpdate=function(_122){
if(!(_122 instanceof Function)){
throw new ovi.service.Exception(ovi.service.INVALID_ARG_ERR,"Invalid callback",ovi.service.NativeApplicationUpdate.MODULENAME);
}
if(this._updateConnectId==-1){
var self=this;
var cb=function(ret){
self._updateCB(ret);
};
this._updateConnectId=this._so.addEventListener("updateComplete(int)",cb);
}
this._updateCBHolder.push(_122);
this._so.startUpdate();
};
ovi.service.NativeApplicationUpdate.prototype.cancelUpdate=function(_126){
if(!(_126 instanceof Function)){
throw new ovi.service.Exception(ovi.service.INVALID_ARG_ERR,"Invalid callback",ovi.service.NativeApplicationUpdate.MODULENAME);
}
if(this._updateConnectId==-1){
var self=this;
var cb=function(ret){
self._updateCB(ret);
};
this._updateConnectId=this._so.addEventListener("updateComplete(int)",cb);
}
this._updateCBHolder.push(_126);
this._so.cancelUpdate();
};
ovi.service.NativeApplicationUpdate.prototype._updateCB=function(ret){
if(this._updateCBHolder.length==1){
this._so.removeEventListener(this._updateConnectId);
this._updateConnectId=-1;
}
var cb=this._updateCBHolder.shift();
if(cb==null){
throw new ovi.service.Exception(ovi.service.DATA_NOT_FOUND_ERR,"Unable to retrieve callback function",ovi.service.NativeApplicationUpdate.MODULENAME);
}else{
var _12c=this._context;
var _12d=this._parse(ret);
cb.call(_12c,_12d);
}
};
ovi.service.NativeApplicationUpdate.prototype._parse=function(ret){
switch(ret){
case 0:
error=ovi.service.SUCCESS;
break;
case 1:
error=ovi.service.GENERAL_ERR;
break;
case 2:
error=ovi.service.NativeApplicationUpdate.NO_UPDATE_AVAILABLE;
break;
case 3:
error=ovi.service.SUCCESS;
break;
case 4:
error=ovi.service.NativeApplicationUpdate.UPDATE_PARTIALLY_SUCCEEDED;
break;
case 5:
error=ovi.service.CANCEL_ERR;
break;
case 6:
error=ovi.service.NativeApplicationUpdate.UPDATE_FAILED;
break;
case 7:
error=ovi.service.NOT_SUPPORTED_ERR;
break;
case 8:
error=ovi.service.SERVICE_BUSY_ERR;
break;
case 9:
error=ovi.service.NativeApplicationUpdate.UPGRADE_NOT_POSSIBLE;
break;
case 10:
error=ovi.service.NativeApplicationUpdate.UPGRADE_NOT_REQUIRED;
break;
case 11:
error=ovi.service.NativeApplicationUpdate.UPGRADE_NOT_FOUND;
break;
case 12:
error=ovi.service.NativeApplicationUpdate.DOWNLOAD_FAILED;
break;
case 13:
error=ovi.service.NativeApplicationUpdate.UPGRADE_FAILED;
break;
case 14:
error=ovi.service.NativeApplicationUpdate.UPGRADE_QUERY_FAILED;
break;
case 15:
error=ovi.service.NativeApplicationUpdate.UPGRADE_BUSY;
break;
default:
error=ovi.service.GENERAL_ERR;
break;
}
return error;
};
ovi.service.NativeApplicationUpdate.prototype.queryUpgradeInfo=function(_12f,_130,_131){
if(!(_12f instanceof Function)){
throw new ovi.service.Exception(ovi.service.INVALID_ARG_ERR,"Invalid query callback",ovi.service.NativeApplicationUpdate.MODULENAME);
}
if(!(_130 instanceof Function)){
throw new ovi.service.Exception(ovi.service.INVALID_ARG_ERR,"Invalid error callback",ovi.service.NativeApplicationUpdate.MODULENAME);
}
if(typeof _131!="object"){
throw new ovi.service.Exception(ovi.service.INVALID_ARG_ERR,"Invalid criteria",ovi.service.NativeApplicationUpdate.MODULENAME);
}
if(_131.identifier==null||_131.version==null){
throw new ovi.service.Exception(ovi.service.MISSING_ARG_ERR,"Missing criteria.identifier or criteria.version",ovi.service.NativeApplicationUpdate.MODULENAME);
}
if(this._queryConnectId==-1){
var self=this;
var _133=function(_134,_135){
self._queryCB(_134,_135);
};
this._queryConnectId=this._so.addEventListener("queryUpgradeInfoCallback(int, int)",_133);
}
if(this._errorConnectId==-1){
var self=this;
var _136=function(err){
self._errorCB(err);
};
this._errorConnectId=this._so.addEventListener("errorCallback(int)",_136);
}
this._queryCBHolder.push(_12f);
this._errorCBHolder.push(_130);
this._so.queryUpgradeInfo(_131.identifier,_131.version);
};
ovi.service.NativeApplicationUpdate.prototype.upgrade=function(_138,_139,_13a){
if(!(_138 instanceof Function)){
throw new ovi.service.Exception(ovi.service.INVALID_ARG_ERR,"Invalid upgrade callback",ovi.service.NativeApplicationUpdate.MODULENAME);
}
if(!(_139 instanceof Function)){
throw new ovi.service.Exception(ovi.service.INVALID_ARG_ERR,"Invalid error callback",ovi.service.NativeApplicationUpdate.MODULENAME);
}
if(typeof _13a!="object"){
throw new ovi.service.Exception(ovi.service.INVALID_ARG_ERR,"Invalid criteria",ovi.service.NativeApplicationUpdate.MODULENAME);
}
if(_13a.identifier==null||_13a.version==null){
throw new ovi.service.Exception(ovi.service.MISSING_ARG_ERR,"Missing criteria.identifier or criteria.version",ovi.service.NativeApplicationUpdate.MODULENAME);
}
if(_13a.restart==null){
_13a.restart=false;
}
if(this._upgradeConnectId==-1){
var self=this;
var _13c=function(_13d,_13e,_13f){
self._upgradeCB(_13d,_13e,_13f);
};
this._upgradeConnectId=this._so.addEventListener("upgradeCallback(int, int, int)",_13c);
}
if(this._errorConnectId==-1){
var self=this;
var _140=function(err){
self._errorCB(err);
};
this._errorConnectId=this._so.addEventListener("errorCallback(int)",_140);
}
this._upgradeCBHolder.push(_138);
this._errorCBHolder.push(_139);
this._so.upgrade(_13a.identifier,_13a.version,_13a.restart,_13a.parameter);
};
ovi.service.NativeApplicationUpdate.prototype._queryCB=function(_142,_143){
this._errorCBHolder.shift();
cb=this._queryCBHolder.shift();
if(cb!=null){
var _144=this._context;
var _145={"size":_142,"guidance":_143};
cb.call(_144,_145);
}else{
throw new ovi.service.Exception(ovi.service.DATA_NOT_FOUND_ERR,"Unable to retrieve callback function",ovi.service.NativeApplicationUpdate.MODULENAME);
}
};
ovi.service.NativeApplicationUpdate.prototype._upgradeCB=function(_146,_147,_148){
var cb;
if(_146==this.upgradestatus.NAU_UPGRADE_COMPLETE){
if(this._errorCBHolder.length==1){
this._so.removeEventListener(this._errorConnectId);
this._errorConnectId=-1;
}
if(this._upgradeCBHolder.length==1){
this._so.removeEventListener(this._upgradeConnectId);
this._upgradeConnectId=-1;
}
this._errorCBHolder.shift();
cb=this._upgradeCBHolder.shift();
}else{
cb=this._upgradeCBHolder[0];
}
if(cb!=null){
var _14a=this._context;
var _14b;
if(_146==this.upgradestatus.NAU_UPGRADE_STARTED){
_14b={"operation":_146};
}else{
if(_146==this.upgradestatus.NAU_DOWNLOAD_STATUS){
_14b={"operation":_146,"size":_147,"total":_148};
}else{
if(_146==this.upgradestatus.NAU_UPGRADE_PROGRESS){
_14b={"operation":_146,"percent":_147,"total":_148};
}else{
if(_146==this.upgradestatus.NAU_UPGRADE_COMPLETE){
_14b={"operation":_146};
}
}
}
}
cb.call(_14a,_14b);
}else{
throw new ovi.service.Exception(ovi.service.DATA_NOT_FOUND_ERR,"Unable to retrieve callback function",ovi.service.NativeApplicationUpdate.MODULENAME);
}
};
ovi.service.NativeApplicationUpdate.prototype._errorCB=function(ret){
if(this._upgradeCBHolder.length==1){
this._so.removeEventListener(this._upgradeConnectId);
this._upgradeConnectId=-1;
this._upgradeCBHolder.shift();
}
if(this._queryCBHolder.length==1){
this._so.removeEventListener(this._queryConnectId);
this._queryConnectId=-1;
this._queryCBHolder.shift();
}
if(this._errorCBHolder.length==1){
this._so.removeEventListener(this._errorConnectId);
this._errorConnectId=-1;
}
var cb=this._errorCBHolder.shift();
if(cb!=null){
var _14e=this._context;
var _14f=this._parse(ret);
cb.call(_14e,_14f);
}else{
throw new ovi.service.Exception(ovi.service.DATA_NOT_FOUND_ERR,"Unable to retrieve callback function",ovi.service.NativeApplicationUpdate.MODULENAME);
}
};
if(typeof ovi=="undefined"){
ovi={};
}
if(typeof ovi.service=="undefined"){
ovi.service={};
}
ovi.service.RuntimeInfo={};
ovi.service.RuntimeInfo=function(_150,_151){
if(typeof _150=="undefined"){
throw new ovi.service.Exception(ovi.service.INVALID_ARG_ERR,"Invalid context object",ovi.service.RuntimeInfo.MODULENAME);
}else{
this._context=_150;
}
if(typeof _151=="undefined"){
createFactoryObject();
try{
this._so=nokia.services.load("RuntimeInfoService","com.nokia.IRuntimeInfoService","1.0");
}
catch(ex){
throw new ovi.service.Exception(ovi.service.STARTUP_ERR,ex,ovi.service.RuntimeInfo.MODULENAME);
}
}else{
if(typeof _151=="function"){
this._clientcallback=_151;
this._init();
}else{
throw new ovi.service.Exception(ovi.service.INVALID_ARG_ERR,"Invalid Parameter",ovi.service.RuntimeInfo.MODULENAME);
}
}
};
ovi.service.RuntimeInfo.MODULENAME="RuntimeInfo";
ovi.service.RuntimeInfo.VERSION_TYPE_NOT_SUPPORTED=500;
ovi.service.RuntimeInfo.SERVICEPROVIDER_NAME_NOT_FOUND=501;
ovi.service.RuntimeInfo.INSTALLATION_NOT_FOUND=502;
ovi.service.RuntimeInfo.WIDGET_NOT_FOUND=503;
ovi.service.RuntimeInfo.prototype._init=function(){
var self=this;
var cb=function(){
self._initcallback();
};
nokia.services.init(cb);
};
ovi.service.RuntimeInfo.prototype._initcallback=function(){
try{
this._so=nokia.services.load("RuntimeInfoService","com.nokia.IRuntimeInfoService","1.0");
var ret=new ovi.service.Error(ovi.service.SUCCESS,"");
}
catch(ex){
var ret=new ovi.service.Error(ovi.service.STARTUP_ERR,ex.message);
}
this._clientcallback.call(this._context,ret);
};
ovi.service.RuntimeInfo.prototype.getVersion=function(_155,_156){
if(typeof _155=="undefined"){
_155="";
}
if(typeof _156=="undefined"){
_156="";
}
var ret;
if(_155=="netscapeplugin"){
ret=this._getNetscapePluginVersion(_156);
}
if(ret==null){
ret=this._so.getVersion(_155,_156);
}
if(ret==null){
throw new ovi.service.Exception(ovi.service.INVALID_ARG_ERR,"Version is of invalid type",ovi.service.RuntimeInfo.MODULENAME);
}else{
switch(ret){
case "VersionTypeNotSupported":
throw new ovi.service.Exception(ovi.service.RuntimeInfo.VERSION_TYPE_NOT_SUPPORTED,"Version type not supported",ovi.service.RuntimeInfo.MODULENAME);
break;
case "NotSupported":
throw new ovi.service.Exception(ovi.service.NOT_SUPPORTED_ERR,"Not supported",ovi.service.RuntimeInfo.MODULENAME);
break;
case "ServiceNotSupport":
throw new ovi.service.Exception(ovi.service.RuntimeInfo.SERVICEPROVIDER_NAME_NOT_FOUND,"Service provider name not found",ovi.service.RuntimeInfo.MODULENAME);
break;
case "SisNotFound":
throw new ovi.service.Exception(ovi.service.RuntimeInfo.INSTALLATION_NOT_FOUND,"Installation not found",ovi.service.RuntimeInfo.MODULENAME);
break;
case "WidgetNotFound":
throw new ovi.service.Exception(ovi.service.RuntimeInfo.WIDGET_NOT_FOUND,"Widget not found",ovi.service.RuntimeInfo.MODULENAME);
break;
case "Error fetching the version":
throw new ovi.service.Exception(ovi.service.GENERAL_ERR,"Error fetching the version",ovi.service.RuntimeInfo.MODULENAME);
break;
}
}
return ret;
};
ovi.service.RuntimeInfo.prototype._getNetscapePluginVersion=function(_158){
var ret;
var _15a=navigator.mimeTypes[_158];
if(_15a){
var _15b=_15a.enabledPlugin;
if(_15b){
ret=_15b["name"]+"; "+_15b["description"];
}
}
return ret;
};
if(typeof ovi=="undefined"){
ovi={};
}
if(typeof ovi.service=="undefined"){
ovi.service={};
}
ovi.service.SecureStorage=function(_15c){
if(_15c==null){
throw new ovi.service.Exception(ovi.service.INVALID_ARG_ERR,"Context argument is null",ovi.service.SecureStorage.MODULE_NAME);
}
this._context=_15c;
};
ovi.service.SS_INTEGRITY_FAILED=500;
ovi.service.SS_CREATION_FAILED=501;
ovi.service.SS_CANNOT_READ_ERR=502;
ovi.service.SS_SIGNED=0;
ovi.service.SS_ENCRYPTED=1;
ovi.service.SecureStorage.MODULE_NAME="Secure Storage";
ovi.service.SecureStorage.prototype.create=function(_15d,_15e,_15f){
var _160=null;
this._createCallback=function(){
try{
var _161=_160._create(_15d,_15e);
}
catch(ex){
if(typeof ex.code=="undefined"){
_161=ovi.service.GENERAL_ERR;
}else{
_161=ex.code;
}
}
if(_161!=ovi.service.SUCCESS){
ret=new ovi.service.Error(_161,"Create operation failed");
}else{
ret=new ovi.service.Error(_161,"Success Create operation");
}
this._clientCreateCallback.call(this._context,ret);
};
if((_15d==null)||(_15d==="")){
throw new ovi.service.Exception(ovi.service.INVALID_ARG_ERR,"Store name argument is empty",ovi.service.SecureStorage.MODULE_NAME);
}
if(typeof _15f=="undefined"){
try{
_160=new ovi.service.SecureStorageInterface();
}
catch(ex){
throw new ovi.service.Exception(ex.code,ex.message,ovi.service.SecureStorage.MODULE_NAME);
}
try{
var _162=_160._create(_15d,_15e);
}
catch(ex){
_162=ex.code;
}
this._errorHandling(_162,"Create operation failed");
}else{
if(typeof _15f=="function"){
try{
this._clientCreateCallback=_15f;
var self=this;
var cb=function(){
self._createCallback();
};
_160=new ovi.service.SecureStorageInterface(cb);
}
catch(ex){
throw new ovi.service.Exception(ex.code,ex.message,ovi.service.SecureStorage.MODULE_NAME);
}
}else{
throw new ovi.service.Exception(ovi.service.INVALID_ARG_ERR,"Callback function is wrong type",ovi.service.SecureStorage.MODULE_NAME);
}
}
return _160;
};
ovi.service.SecureStorage.prototype.open=function(_165,_166){
if((_165==null)||(_165==="")){
throw new ovi.service.Exception(ovi.service.INVALID_ARG_ERR,"StorageName argument content is empty",ovi.service.SecureStorage.MODULE_NAME);
}
var _167=null;
this._openCallback=function(){
try{
var _168=_167._open(_165);
}
catch(ex){
if(typeof ex.code=="undefined"){
_168=ovi.service.GENERAL_ERR;
}else{
_168=ex.code;
}
}
if(_168!=ovi.service.SUCCESS){
ret=new ovi.service.Error(_168,"Open operation failed");
}else{
ret=new ovi.service.Error(_168,"Success Open operation");
}
this._clientOpenCallback.call(this._context,ret);
};
if(typeof _166=="undefined"){
try{
_167=new ovi.service.SecureStorageInterface();
}
catch(ex){
throw new ovi.service.Exception(ex.code,ex.message,ovi.service.SecureStorage.MODULE_NAME);
}
try{
var _169=_167._open(_165);
}
catch(ex){
_169=ex.code;
}
this._errorHandling(_169,"Open operation failed");
}else{
if(typeof _166=="function"){
try{
this._clientOpenCallback=_166;
var self=this;
var cb=function(){
self._openCallback();
};
_167=new ovi.service.SecureStorageInterface(cb);
}
catch(ex){
throw new ovi.service.Exception(ex.code,ex.message,ovi.service.SecureStorage.MODULE_NAME);
}
}else{
throw new ovi.service.Exception(ovi.service.INVALID_ARG_ERR,"Callback function is wrong type",ovi.service.SecureStorage.MODULE_NAME);
}
}
return _167;
};
ovi.service.SecureStorage.prototype.deleteStore=function(_16c,_16d){
if((_16c==null)||(_16c==="")){
throw new ovi.service.Exception(ovi.service.INVALID_ARG_ERR,"StorageName argument content is empty",ovi.service.SecureStorage.MODULE_NAME);
}
var _16e=null;
this._deleteStoreCallback=function(){
try{
var _16f=_16e._deleteStore(_16c);
}
catch(ex){
if(typeof ex.code=="undefined"){
_16f=ovi.service.GENERAL_ERR;
}else{
_16f=ex.code;
}
}
if(_16f!=ovi.service.SUCCESS){
ret=new ovi.service.Error(_16f,"Delete operation failed");
}else{
ret=new ovi.service.Error(_16f,"Success Delete operation");
}
this._clientDeleteCallback.call(this._context,ret);
delete _16e;
};
if(typeof _16d=="undefined"){
try{
_16e=new ovi.service.SecureStorageInterface();
}
catch(ex){
throw new ovi.service.Exception(ex.code,ex.message,ovi.service.SecureStorage.MODULE_NAME);
}
try{
var _170=_16e._deleteStore(_16c);
}
catch(ex){
_170=ex.code;
}
delete _16e;
this._errorHandling(_170,"Delete operation failed");
}else{
if(typeof _16d=="function"){
try{
this._clientDeleteCallback=_16d;
var self=this;
var cb=function(){
self._deleteStoreCallback();
};
_16e=new ovi.service.SecureStorageInterface(cb);
}
catch(ex){
throw new ovi.service.Exception(ex.code,ex.message,ovi.service.SecureStorage.MODULE_NAME);
}
}else{
throw new ovi.service.Exception(ovi.service.INVALID_ARG_ERR,"Callback function is wrong type",ovi.service.SecureStorage.MODULE_NAME);
}
}
};
ovi.service.SecureStorage.prototype._errorHandling=function(_173,_174){
switch(_173){
case ovi.service.SUCCESS:
break;
case ovi.service.INVALID_ARG_ERR:
throw new ovi.service.Exception(ovi.service.INVALID_ARG_ERR,"An argument is invalid",ovi.service.SecureStorage.MODULE_NAME);
break;
case ovi.service.NOT_SUPPORTED_ERR:
throw new ovi.service.Exception(ovi.service.NOT_SUPPORTED_ERR,"Functionality not supported",ovi.service.SecureStorage.MODULE_NAME);
break;
case ovi.service.URI_ALREADY_EXISTS_ERR:
throw new ovi.service.Exception(ovi.service.URI_ALREADY_EXISTS_ERR,"The store already exists",ovi.service.SecureStorage.MODULE_NAME);
break;
case ovi.service.SS_CREATION_FAILED:
throw new ovi.service.Exception(ovi.service.SS_CREATION_FAILED,"Creation of the store failed",ovi.service.SecureStorage.MODULE_NAME);
break;
case ovi.service.URI_NOT_FOUND_ERR:
throw new ovi.service.Exception(ovi.service.URI_NOT_FOUND_ERR,"The store doesn't exist",ovi.service.SecureStorage.MODULE_NAME);
break;
case ovi.service.SS_INTEGRITY_FAILED:
throw new ovi.service.Exception(ovi.service.SS_INTEGRITY_FAILED,"The store was changed",ovi.service.SecureStorage.MODULE_NAME);
break;
case ovi.service.NOT_ALLOWED_ERR:
throw new ovi.service.Exception(ovi.service.NOT_ALLOWED_ERR,"The operation is not allowed",ovi.service.SecureStorage.MODULE_NAME);
break;
default:
throw new ovi.service.Exception(ovi.service.GENERAL_ERR,_174,ovi.service.SecureStorage.MODULE_NAME);
break;
}
};
ovi.service.SecureStorageInterface=function(_175){
if(typeof _175=="undefined"){
try{
createFactoryObject();
this._secureStorageServiceObject=nokia.services.load("SecureStorageService","com.nokia.ISecureStorageService","1.0");
}
catch(ex){
throw new ovi.service.Exception(ovi.service.STARTUP_ERR,"The service couldn't be loaded",ovi.service.SecureStorage.MODULE_NAME);
}
}else{
if(typeof _175=="function"){
this._clientCallback=_175;
var self=this;
var cb=function(){
self._initcallback();
};
nokia.services.init(cb);
}else{
throw new ovi.service.Exception(ovi.service.INVALID_ARG_ERR,"Callback function is wrong type",ovi.service.SecureStorage.MODULE_NAME);
}
}
};
ovi.service.SecureStorageInterface.prototype._initcallback=function(){
this._secureStorageServiceObject=nokia.services.load("SecureStorageService","com.nokia.ISecureStorageService","1.0");
this._clientCallback();
};
ovi.service.SecureStorageInterface.prototype._create=function(_178,_179){
return this._secureStorageServiceObject.create(_178,_179);
};
ovi.service.SecureStorageInterface.prototype._open=function(_17a){
return this._secureStorageServiceObject.open(_17a);
};
ovi.service.SecureStorageInterface.prototype._deleteStore=function(_17b){
return this._secureStorageServiceObject.deleteStore(_17b);
};
ovi.service.SecureStorageInterface.prototype.read=function(){
try{
var text=this._secureStorageServiceObject.read();
}
catch(ex){
this._exceptionHandling(ex.code,"The store cannot be read");
}
var _17d=this._secureStorageServiceObject.getLastErrCode();
if(_17d!=0){
this._exceptionHandling(_17d,"The store cannot be read");
}
if((text==null)||(text==undefined)){
this._exceptionHandling(ovi.service.SS_CANNOT_READ_ERR);
}
return text;
};
ovi.service.SecureStorageInterface.prototype.write=function(_17e){
try{
var _17f=this._secureStorageServiceObject.write(_17e);
}
catch(ex){
this._exceptionHandling(ex.code,"Write operation failed");
}
this._exceptionHandling(_17f,"Write operation failed");
};
ovi.service.SecureStorageInterface.prototype.verify=function(){
var _180=false;
try{
_180=this._secureStorageServiceObject.verify();
}
catch(ex){
this._exceptionHandling(ex.code,"Verify operation failed");
}
var _181=this._secureStorageServiceObject.getLastErrCode();
if(_181!=0){
this._exceptionHandling(_181,"Verify operation failed");
}
return _180;
};
ovi.service.SecureStorageInterface.prototype._exceptionHandling=function(_182,_183){
switch(_182){
case ovi.service.SUCCESS:
break;
case ovi.service.INVALID_ARG_ERR:
throw new ovi.service.Exception(ovi.service.INVALID_ARG_ERR,"An argument is invalid",ovi.service.SecureStorage.MODULE_NAME);
break;
case ovi.service.SS_CREATION_FAILED:
throw new ovi.service.Exception(ovi.service.SS_CREATION_FAILED,"Creation of the store failed",ovi.service.SecureStorage.MODULE_NAME);
break;
case ovi.service.NOT_ALLOWED_ERR:
throw new ovi.service.Exception(ovi.service.NOT_ALLOWED_ERR,"The operation is not allowed",ovi.service.SecureStorage.MODULE_NAME);
break;
case ovi.service.SS_CANNOT_READ_ERR:
throw new ovi.service.Exception(ovi.service.SS_CANNOT_READ_ERR,"The store cannot be read",ovi.service.SecureStorage.MODULE_NAME);
break;
case ovi.service.SS_INTEGRITY_FAILED:
throw new ovi.service.Exception(ovi.service.SS_INTEGRITY_FAILED,"The store was changed externally",ovi.service.SecureStorage.MODULE_NAME);
break;
default:
throw new ovi.service.Exception(ovi.service.GENERAL_ERR,_183,ovi.service.SecureStorage.MODULE_NAME);
break;
}
};
ovi.provide("ovi.service.ThemeManager");
ovi.require("ovi.themes");
ovi.require("ovi.xhr");
ovi.require("ovi.service.sfwapi",false);
ovi.require("ovi.service.sfwiter",false);
ovi.require("ovi.service.exceptions",false);
ovi.require("ovi.service.DeviceConfiguration",false);
ovi.service.ThemeManager=new ovi.Class({Mixins:[ovi.EventSource],Statics:{THEME_CHANGE_EVENT:"ThemeChanged"},_currentTheme:"",_themeAssetsHash:null,_enableOviJS:true,_oviThemesHash:null,_defaultOviTheme:null,_deviceToOviThemeMap:null,_previousOnshowFunc:null,initialize:function(_184,_185){
var _186=(sisuConfig.modulePaths["ovi.service"]?sisuConfig.modulePaths["ovi.service"]:sisuConfig.oviRoot+"service/")+"ThemeManagerConf.json";
var def=ovi.xhr("GET",{uri:_186});
def.addCallbacks(ovi.bind(this,callback),ovi.bind(this,errback));
function callback(_188){
var _189=JSON.parse(_188.response);
this._oviThemesHash=_189["oviThemesHash"];
for(var name in this._oviThemesHash){
this._oviThemesHash[name]=sisuConfig.oviRoot+this._oviThemesHash[name];
}
this._defaultOviTheme=_189["defaultOviTheme"];
this._deviceToOviThemeMap=_189["deviceToOviThemeMap"];
ovi.themes.register(this._oviThemesHash);
this._devConfig=new ovi.service.DeviceConfiguration(this);
if(typeof _184=="string"){
_185=_184;
_184=null;
}
if(_184){
this._themeAssetsHash=_184;
ovi.themes.register(this._themeAssetsHash);
}
if(_185){
this._enableOviJS=false;
}else{
_185=this._mapDeviceTheme(this._devConfig.theme());
}
this._handleTheme(_185);
if(window.widget){
this._previousOnshowFunc=widget.onshow;
widget.onshow=ovi.bind(this,function(){
this._onForeground();
});
}
};
function errback(_18b){
ovi.error(_18b.error);
};
},destroy:function(){
if(window.widget){
widget.onshow=this._previousOnshowFunc;
}
if(this._oviThemesHash){
ovi.themes.unregister(this._oviThemesHash);
}
if(this._themeAssetsHash){
ovi.themes.unregister(this._themeAssetsHash);
}
delete this._devConfig;
},_onForeground:function(){
var _18c=(this._enableOviJS)?this._mapDeviceTheme(this._devConfig.theme()):this._currentTheme;
this._handleTheme(_18c);
},_handleTheme:function(_18d){
if(_18d!=this._currentTheme){
ovi.themes.set(_18d);
this._currentTheme=_18d;
this.fireEvent({type:ovi.service.ThemeManager.THEME_CHANGE_EVENT,data:this._currentTheme});
}
},_mapDeviceTheme:function(_18e){
var len=this._deviceToOviThemeMap.length;
for(var i=0;i<len;i++){
var _191=this._deviceToOviThemeMap[i];
if(_191["deviceTheme"]==_18e){
return _191["ovijsTheme"];
}
}
return this._defaultOviTheme;
}});
if(typeof ovi=="undefined"){
ovi={};
}
if(typeof ovi.service=="undefined"){
ovi.service={};
}
ovi.service.WebApplicationUpdate=function(_192,cb){
if(_192!=""&&_192!=null){
this._context=_192;
}else{
throw new ovi.service.Exception(ovi.service.INVALID_ARG_ERR,"Invalid context",ovi.service.WebApplicationUpdate.type);
}
if(typeof cb=="undefined"){
createFactoryObject();
try{
this._sfwObject=nokia.services.load("WebAppUpdateService","com.nokia.IWebAppUpdate","1.0");
var self=this;
var _195=function(a){
self._updateStatusCallback(a);
};
var _197=function(a){
self._updateFailedCallback(a);
};
this._sfwObject.addEventListener("updateStatus(QVariant)",_195);
this._sfwObject.addEventListener("updateFailed(QVariant)",_197);
}
catch(ex){
throw new ovi.service.Exception(ovi.service.STARTUP_ERR,"Failed to get service object",ovi.service.WebApplicationUpdate.type);
}
}else{
if(typeof cb=="function"){
this._clientInitCallback=cb;
this._init();
}else{
throw new ovi.service.Exception(ovi.service.INVALID_ARG_ERR,"Invalid argument",ovi.service.WebApplicationUpdate.type);
}
}
};
ovi.service.WebApplicationUpdate.type="WebApplicationUpdate";
ovi.service.WebApplicationUpdate.prototype._init=function(){
var self=this;
var cb=function(){
self._initcallback();
};
nokia.services.init(cb);
};
ovi.service.WebApplicationUpdate.prototype._initcallback=function(){
try{
this._sfwObject=nokia.services.load("WebAppUpdateService","com.nokia.IWebAppUpdate","1.0");
var self=this;
var _19c=function(a){
self._updateStatusCallback(a);
};
var _19e=function(a){
self._updateFailedCallback(a);
};
this._sfwObject.addEventListener("updateStatus(QVariant)",_19c);
this._sfwObject.addEventListener("updateFailed(QVariant)",_19e);
var ret=new ovi.service.Error(ovi.service.SUCCESS,"");
}
catch(ex){
var ret=new ovi.service.Error(ovi.service.STARTUP_ERR,ex);
}
this._clientInitCallback.call(this._context,ret);
};
ovi.service.WebApplicationUpdate.prototype.update=function(_1a1,id,url,_1a4){
if(_1a1==null||_1a1=="undefined"||_1a4==null||_1a4=="undefined"){
throw new ovi.service.Exception(ovi.service.INVALID_ARG_ERR,"Callback is invalid",ovi.service.WebApplicationUpdate.type);
}
this._clientUpdateStatusCB=_1a1;
this._clientUpdateFailedCB=_1a4;
var ret=this._sfwObject.update(id,url);
if(ret==false){
throw new ovi.service.Exception(ovi.service.SERVICE_BUSY_ERR,"Can not start another update",ovi.service.WebApplicationUpdate.type);
}
};
ovi.service.WebApplicationUpdate.prototype._updateStatusCallback=function(a){
if(this._clientUpdateStatusCB!=null){
this._clientUpdateStatusCB.call(this._context,a);
}
};
ovi.service.WebApplicationUpdate.prototype._updateFailedCallback=function(a){
if(this._clientUpdateFailedCB!=null){
var ret=new ovi.service.Error(this._mapErrorCode(a[0]),a[1]);
this._clientUpdateFailedCB.call(this._context,ret);
}
};
ovi.service.WebApplicationUpdate.prototype.cancelUpdate=function(){
var ret=this._sfwObject.cancelUpdate();
if(ret==false){
throw new ovi.service.Exception(ovi.service.NOT_ALLOWED_ERR,"Can not cancel update at this time",ovi.service.WebApplicationUpdate.type);
}
};
ovi.service.WebApplicationUpdate.prototype._mapErrorCode=function(a){
var ret=ovi.service.GENERAL_ERR;
if(a==-1){
ret=ovi.service.URI_NOT_FOUND_ERR;
}
return ret;
};

