@echo off
IF NOT "%CPSDK%" == "" GOTO CPSDKDEFINED
SET CPSDK=C:\ClientPlatformSDK\2.0
echo CPSDK not set, C:\ClientPlatformSDK\2.0 is assumed
:CPSDKDEFINED
SET APPNAME=ssoui
SET APPROOT=%CD%

SET CERTFILE=%CPSDK%\tools\internal\certs\rd.cer
SET KEYFILE=%CPSDK%\tools\internal\certs\rd-key.pem 

REM -----------------------------------------------------------------------------------
REM Generate regular ssoui widget which does not use shared library
REM -----------------------------------------------------------------------------------
SET USESHAREDLIB=false
COPY %APPROOT%\config_regular.xml %APPROOT%\config.xml /Y
perl %CPSDK%\tools\cp-make.pl %APPROOT% -cert=%CERTFILE% -key=%KEYFILE% -sharedlib=%USESHAREDLIB%^
 -serviceuiwidget
REM DEL ssoui-regular.wgt /F
REM RENAME %APPROOT%\ssoui.wgt ssoui-regular.wgt

REM -----------------------------------------------------------------------------------
REM Generate shared ssoui widget which uses shared library
REM -----------------------------------------------------------------------------------
SET USESHAREDLIB=true
COPY %APPROOT%\config_sharedwidget.xml %APPROOT%\config.xml /Y
perl %CPSDK%\tools\cp-make.pl %APPROOT% -cert=%CERTFILE% -key=%KEYFILE% -sharedlib=%USESHAREDLIB%^
 -serviceuiwidget

DEL ssoui2-s60.wgt /F
RENAME %APPROOT%\ssoui-s60.wgt ssoui2-s60.wgt

DEL ssoui2-s60-signed.wgt /F
RENAME %APPROOT%\ssoui-s60-signed.wgt ssoui2-s60-signed.wgt

DEL ssoui2-shared.wgt /F
RENAME %APPROOT%\ssoui-shared.wgt ssoui2-shared.wgt

DEL ssoui2-shared-signed.wgt /F
RENAME %APPROOT%\ssoui-shared-signed.wgt ssoui2-shared-signed.wgt

DEL ssoui2-maemo.wgt /F
RENAME %APPROOT%\ssoui-maemo.wgt ssoui2-maemo.wgt

DEL ssoui2-maemo-signed.wgt /F
RENAME %APPROOT%\ssoui-maemo-signed.wgt ssoui2-maemo-signed.wgt

@echo on  
