/**
 *
 * Description : A static class (Javascript object) that maintains a set of
 * properties within the wrtkit framework.  It is used to hold variables that 
 * should be available for all the classes in the framework.
 * <p>
 * Filename    : SSOConstant.js
 * <p>
 * Part of     : UI Framework
 * <p>
 * ============================================================================
 * <p>
 * Copyright (C) 2008 Nokia.  All rights reserved.
 * <p>
 * This material, including documentation and any related computer
 * programs, is protected by copyright controlled by Nokia.  All
 * rights are reserved.  Copying, including reproducing, storing,
 * adapting or translating, any or all of this material requires the
 * prior written consent of Nokia.  This material also contains
 * confidential information which may not be disclosed to others
 * without the prior written consent of Nokia.
 * <p>
 * ============================================================================
 * 
 * 
 * @version %version:  1 %
 *
 */

/**
 * @memberOf ovi.serviceui.ssoui.ssoui.utils
 */
ovi.provide('ssoui.utils.MessageType');

var MessageType = {
		
        Warning : 'WARNING',
        
        Info : 'INFO',
        
        Error : 'ERROR'
        	
};