/**
 *
 * Description : A class that extends ssoui.views.SSOBaseView
 *            
 * <p>
 * Filename    : SSOAccFailedView.js
 * <p>
 * Part of     : View
 * <p>
 * ============================================================================
 * <p>
 * Copyright (C) 2008 Nokia.  All rights reserved.
 * <p>
 * This material, including documentation and any related computer
 * programs, is protected by copyright controlled by Nokia.  All
 * rights are reserved.  Copying, including reproducing, storing,
 * adapting or translating, any or all of this material requires the
 * prior written consent of Nokia.  This material also contains
 * confidential information which may not be disclosed to others
 * without the prior written consent of Nokia.
 * <p>
 * ============================================================================
 * @version %version:   9.2.3 %
 * @class SSOAccFailedView
 * @name  SSOAccFailedView 
 */

//@TODO: CR: MEDIUM: File description header do not list the intention of this 
// View file

ovi.provide('ssoui.views.SSOAccFailedView');
// system includes
ovi.require('ovi.sisu.HTMLView');
ovi.require('ovi.ui.Button');
ovi.require('ovi.ui.Label');
ovi.require('ovi.ui.TextInput');

// local includes
ovi.require('ssoui.views.SSOBaseView');
ovi.require('ssoui.ui.SSOTextInput');
ovi.require('ssoui.ui.TextLink');
ovi.require('ssoui.ui.SSOPasswordInput'); 
ovi.require('ssoui.utils.SSOUtil',false);
ovi.require( 'ssoui.ui.SSOError');
ovi.require('ssoui.ui.SSOUIHelper');
ovi.declare('ssoui.views.SSOAccFailedView', {
    
    //@TODO: CR: MEDIUM: Documentation block missing
    Extends: ssoui.views.SSOBaseView,
    
    //@TODO: CR: MEDIUM: Documentation block missing
    initialize: function() {
        this._super(sso_signup_header_parentdenial, sso_signup_label_parentdenialmessage01, 
		{
		  text: sso_popup_button_ok
		},
		{
		  text: ""
		});
    },
    
    //@TODO: CR: MEDIUM: Documentation block missing
    render: function() {
    	this._super();
    	               
        var _isParentDenied = this.settings.get("isParentDenied");
        /*if(_isParentDenied) {		
	        this._subTitleTextLabel = new ovi.ui.Label({ text: sso_signup_label_parentdenialmessage }, this.viewHeader);
	        this._subTitleTextLabel._root.className = "sso_subheader_Label";
			//@TODO: CR: MEDIUM: Move display properties to CSS File
	        this._subTitleTextLabel._root.style.display = "block";
	        this._subTitleTextLabel._root.style.marginTop = "14px";
        } else {
        	this._subTitleTextLabel = new ovi.ui.Label({ text: sso_signup_label_errorunderthirteen2 }, this.viewHeader);
        	this._subTitleTextLabel._root.className = "sso_subheader_Label";
            //@TODO: CR: MEDIUM: Move display properties to CSS File
        	this._subTitleTextLabel._root.style.display = "block";
        	this._subTitleTextLabel._root.style.marginTop = "14px";
            
            this.whyLink = new ovi.ui.TextLink({ text: sso_signup_label_clickhere}, this.viewHeader);
        	this.whyLink.addEventHandler("selected", function() {
				//@TODO: CR: MEDIUM: Use self instead of this in anonymous function
        		this._openWhyLink();
            }, this);
        }*/
    },
    
    /**
     * function which will be called once the view is destroyed.
     * @function destroy
     */
    destroy: function() {
    	ovi.debug("Inside SSOAccFailedView destroy");
    	
        this._super.apply(this, arguments);
    },
    
    /**
     * Function which will be triggered on page submit.
     * @function onLSKClick
     */
    onLSKClick: function() {
    	//Cancel has been trigerred. Close the application
        //As the RSK for the signin usecase is always Cancel
        // post the event to clients so that they can know the status of signin, if they are intrested.
        var eventMessageObj= this.applicationController.getEventMessageObj();
        eventMessageObj.post(this.applicationController.settings.get('ssoUIContext'),ssoui.utils.SSOUtil.convertToJSONFormat(SSOConstant.Error,SSOConstant.Cancelled));
        this.closeApplication();
    	return false;
    },
    
	//@TODO: CR: MEDIUM: Below is private. Prefix "_"
    /**
     * Close the widget
     * @function closeApplication     
     */
    closeApplication: function() {
        window.close();        
    }    
});