if(typeof ovi=="undefined"){
ovi={};
}
if(typeof ovi.service=="undefined"){
ovi.service={};
}
if(typeof ovi.service.DownloadManagement=="undefined"){
ovi.service.DownloadManagement={};
}
ovi.service.DownloadManagement=function(_1,_2){
if(typeof _1=="undefined"){
throw new ovi.service.Exception(ovi.service.INVALID_ARG_ERR,"Invalid context object",ovi.service.DownloadManagement.MODULENAME);
}else{
this._context=_1;
}
if(typeof _2=="undefined"){
createFactoryObject();
try{
this._DownloadMgtObject=nokia.services.load("DownloadMgtService","com.nokia.IDownloadMgt","1.0");
}
catch(ex){
throw new ovi.service.Exception(ovi.service.STARTUP_ERR,ex,ovi.service.DownloadManagement.MODULENAME);
}
}else{
if(typeof _2=="function"){
this._clientcallback=_2;
this._init();
}else{
throw new ovi.service.Exception(ovi.service.INVALID_ARG_ERR,"Invalid callback function",ovi.service.DownloadManagement.MODULENAME);
}
}
};
ovi.service.DownloadManagement.MODULENAME="DownloadManagement";
ovi.service.DownloadManagement.prototype._addedId=-1;
ovi.service.DownloadManagement.prototype._listReceivedId=-1;
ovi.service.DownloadManagement.prototype._propertiesReceivedId=-1;
ovi.service.DownloadManagement.prototype._destinationReceivedId=-1;
ovi.service.DownloadManagement.prototype._statusReceivedId=-1;
ovi.service.DownloadManagement.prototype._addCallbackFuncs=[];
ovi.service.DownloadManagement.prototype._listCallbackFuncs=[];
ovi.service.DownloadManagement.prototype._propertiesCallbackFuncs=[];
ovi.service.DownloadManagement.prototype._destinationCallbackFuncs=[];
ovi.service.DownloadManagement.prototype._statusCallbackFuncs=[];
ovi.service.DownloadManagement.DLMGT_STATUS_INVALID=0;
ovi.service.DownloadManagement.DLMGT_STATUS_ADDED=1;
ovi.service.DownloadManagement.DLMGT_STATUS_DOWNLOADING=2;
ovi.service.DownloadManagement.DLMGT_STATUS_DOWNLOADED=3;
ovi.service.DownloadManagement.DLMGT_STATUS_DOWNLOADED_PARENT=4;
ovi.service.DownloadManagement.DLMGT_STATUS_CANCEL=5;
ovi.service.DownloadManagement.DLMGT_STATUS_CANCELLING=6;
ovi.service.DownloadManagement.DLMGT_STATUS_CANCELLED=7;
ovi.service.DownloadManagement.DLMGT_STATUS_SUSPEND=8;
ovi.service.DownloadManagement.DLMGT_STATUS_SUSPENDING=9;
ovi.service.DownloadManagement.DLMGT_STATUS_SUSPENDED=10;
ovi.service.DownloadManagement.DLMGT_STATUS_PAUSE=11;
ovi.service.DownloadManagement.DLMGT_STATUS_PAUSING=12;
ovi.service.DownloadManagement.DLMGT_STATUS_PAUSED=13;
ovi.service.DownloadManagement.DLMGT_STATUS_RESUME=14;
ovi.service.DownloadManagement.DLMGT_STATUS_RESUMING=15;
ovi.service.DownloadManagement.DLMGT_STATUS_ERROR=16;
ovi.service.DownloadManagement.prototype._init=function(){
var _3=this;
var cb=function(){
_3._initcallback();
};
nokia.services.init(cb);
};
ovi.service.DownloadManagement.prototype._initcallback=function(){
try{
this._DownloadMgtObject=nokia.services.load("DownloadMgtService","com.nokia.IDownloadMgt","1.0");
var _5=new ovi.service.Error(ovi.service.SUCCESS,"");
}
catch(ex){
var _5=new ovi.service.Error(ovi.service.STARTUP_ERR,ex);
}
this._clientcallback.call(this._context,_5);
};
ovi.service.DownloadManagement.prototype.setProperty=function(_6,_7){
var _8=((_6=="queue_type")&&((_7=="sequential")||(_7=="parallel")))||((_6=="download_mode")&&((_7=="quiet")||(_7=="non_quiet")))||((_6=="persistent_mode")&&((_7=="all")||(_7=="active")));
if(_8==false){
throw new ovi.service.Exception(ovi.service.NOT_ALLOWED_ERR,"Cannot set property ",ovi.service.DownloadManagement.MODULENAME);
}
try{
var _9=this._DownloadMgtObject.setProperty(_6,_7);
}
catch(ex){
if(typeof ex.code=="undefined"){
ex.code=ovi.service.GENERAL_ERR;
}
throw new ovi.service.Exception(ex.code,ex.message,ovi.service.DownloadManagement.MODULENAME);
}
if(_9==false){
throw new ovi.service.Exception(ovi.service.NOT_ALLOWED_ERR,"Cannot set property",ovi.service.DownloadManagement.MODULENAME);
}
};
ovi.service.DownloadManagement.prototype.add=function(_a,_b,_c,_d){
if((_d!="low")&&(_d!="high")){
throw new ovi.service.Exception(ovi.service.NOT_ALLOWED_ERR,"Cannot add download",ovi.service.DownloadManagement.MODULENAME);
}
try{
var _e=this._DownloadMgtObject.add(_a,_b,_c,_d);
}
catch(ex){
if(typeof ex.code=="undefined"){
ex.code=ovi.service.GENERAL_ERR;
}
throw new ovi.service.Exception(ex.code,ex.message,ovi.service.DownloadManagement.MODULENAME);
}
if(_e<0){
throw new ovi.service.Exception(ovi.service.NOT_ALLOWED_ERR,"Cannot add download",ovi.service.DownloadManagement.MODULENAME);
}
return _e;
};
ovi.service.DownloadManagement.prototype.addAsync=function(_f,_10,_11,_12,_13){
if((_12!="low")&&(_12!="high")){
throw new ovi.service.Exception(ovi.service.NOT_ALLOWED_ERR,"Cannot add download",ovi.service.DownloadManagement.MODULENAME);
}
if(!(_13 instanceof Function)){
throw new ovi.service.Exception(ovi.service.INVALID_ARG_ERR,"callbackFunc is of invalid type",ovi.service.DownloadManagement.MODULENAME);
}
var _14=this;
var cb=function(id,_17,_18){
_14._addAsyncCallback(id,_17,_18);
};
if(this._addedId==-1){
this._addedId=this._DownloadMgtObject.addEventListener("added(int, const QString&, const QString&)",cb);
}
this._addCallbackFuncs.push(_13);
try{
var _19=this._DownloadMgtObject.addAsync(_f,_10,_11,_12);
}
catch(ex){
if(typeof ex.code=="undefined"){
ex.code=ovi.service.GENERAL_ERR;
}
throw new ovi.service.Exception(ex.code,ex.message,ovi.service.DownloadManagement.MODULENAME);
}
if(_19==false){
throw new ovi.service.Exception(ovi.service.NOT_ALLOWED_ERR,"Cannot add download",ovi.service.DownloadManagement.MODULENAME);
}
};
ovi.service.DownloadManagement.prototype._addAsyncCallback=function(id,_1b,_1c){
var cb=this._addCallbackFuncs.shift();
if(cb==null){
throw new ovi.service.Exception(ovi.service.DATA_NOT_FOUND_ERR,"Unable to retrieve addAsync callback function",ovi.service.DownloadManagement.MODULENAME);
}else{
cb.call(this._context,id,_1b,_1c);
if(this._addCallbackFuncs.length==0){
this._DownloadMgtObject.removeEventListener(this._addedId);
this._addedId=-1;
}
}
};
ovi.service.DownloadManagement.prototype.resume=function(id){
try{
var _1f=this._DownloadMgtObject.resume(id);
}
catch(ex){
if(typeof ex.code=="undefined"){
ex.code=ovi.service.GENERAL_ERR;
}
throw new ovi.service.Exception(ex.code,ex.message,ovi.service.DownloadManagement.MODULENAME);
}
if(_1f==false){
throw new ovi.service.Exception(ovi.service.NOT_ALLOWED_ERR,"Cannot resume download",ovi.service.DownloadManagement.MODULENAME);
}
};
ovi.service.DownloadManagement.prototype.resumeAll=function(){
try{
var _20=this._DownloadMgtObject.resumeAll();
}
catch(ex){
if(typeof ex.code=="undefined"){
ex.code=ovi.service.GENERAL_ERR;
}
throw new ovi.service.Exception(ex.code,ex.message,ovi.service.DownloadManagement.MODULENAME);
}
if(_20==false){
throw new ovi.service.Exception(ovi.service.NOT_ALLOWED_ERR,"Cannot resume downloads",ovi.service.DownloadManagement.MODULENAME);
}
};
ovi.service.DownloadManagement.prototype.suspend=function(id){
try{
var _22=this._DownloadMgtObject.suspend(id);
}
catch(ex){
if(typeof ex.code=="undefined"){
ex.code=ovi.service.GENERAL_ERR;
}
throw new ovi.service.Exception(ex.code,ex.message,ovi.service.DownloadManagement.MODULENAME);
}
if(_22==false){
throw new ovi.service.Exception(ovi.service.NOT_ALLOWED_ERR,"Cannot suspend download",ovi.service.DownloadManagement.MODULENAME);
}
};
ovi.service.DownloadManagement.prototype.suspendAll=function(){
try{
var _23=this._DownloadMgtObject.suspendAll();
}
catch(ex){
if(typeof ex.code=="undefined"){
ex.code=ovi.service.GENERAL_ERR;
}
throw new ovi.service.Exception(ex.code,ex.message,ovi.service.DownloadManagement.MODULENAME);
}
if(_23==false){
throw new ovi.service.Exception(ovi.service.NOT_ALLOWED_ERR,"Cannot suspend downloads",ovi.service.DownloadManagement.MODULENAME);
}
};
ovi.service.DownloadManagement.prototype.cancel=function(id){
try{
var _25=this._DownloadMgtObject.cancel(id);
}
catch(ex){
if(typeof ex.code=="undefined"){
ex.code=ovi.service.GENERAL_ERR;
}
throw new ovi.service.Exception(ex.code,ex.message,ovi.service.DownloadManagement.MODULENAME);
}
if(_25==false){
throw new ovi.service.Exception(ovi.service.NOT_ALLOWED_ERR,"Cannot cancel download",ovi.service.DownloadManagement.MODULENAME);
}
};
ovi.service.DownloadManagement.prototype.clear=function(id){
try{
var _27=this._DownloadMgtObject.clear(id);
}
catch(ex){
if(typeof ex.code=="undefined"){
ex.code=ovi.service.GENERAL_ERR;
}
throw new ovi.service.Exception(ex.code,ex.message,ovi.service.DownloadManagement.MODULENAME);
}
if(_27==false){
throw new ovi.service.Exception(ovi.service.NOT_ALLOWED_ERR,"Cannot clear download",ovi.service.DownloadManagement.MODULENAME);
}
};
ovi.service.DownloadManagement.prototype.list=function(){
try{
var _28=this._DownloadMgtObject.list();
}
catch(ex){
if(typeof ex.code=="undefined"){
ex.code=ovi.service.GENERAL_ERR;
}
throw new ovi.service.Exception(ex.code,ex.message,ovi.service.DownloadManagement.MODULENAME);
}
return _28;
};
ovi.service.DownloadManagement.prototype.listAsync=function(_29){
if(!(_29 instanceof Function)){
throw new ovi.service.Exception(ovi.service.INVALID_ARG_ERR,"callbackFunc is of invalid type",ovi.service.DownloadManagement.MODULENAME);
}
var _2a=this;
var cb=function(ids){
_2a._listAsyncCallback(ids);
};
if(this._listReceivedId==-1){
this._listReceivedId=this._DownloadMgtObject.addEventListener("listReceived(const QVariantList&)",cb);
}
this._listCallbackFuncs.push(_29);
try{
var _2d=this._DownloadMgtObject.listAsync();
}
catch(ex){
if(typeof ex.code=="undefined"){
ex.code=ovi.service.GENERAL_ERR;
}
throw new ovi.service.Exception(ex.code,ex.message,ovi.service.DownloadManagement.MODULENAME);
}
if(_2d==false){
throw new ovi.service.Exception(ovi.service.NOT_ALLOWED_ERR,"Cannot list download ids",ovi.service.DownloadManagement.MODULENAME);
}
};
ovi.service.DownloadManagement.prototype._listAsyncCallback=function(ids){
var cb=this._listCallbackFuncs.shift();
if(cb==null){
throw new ovi.service.Exception(ovi.service.DATA_NOT_FOUND_ERR,"Unable to retrieve listAsync callback function",ovi.service.DownloadManagement.MODULENAME);
}else{
cb.call(this._context,ids);
if(this._listCallbackFuncs.length==0){
this._DownloadMgtObject.removeEventListener(this._listReceivedId);
this._listReceivedId=-1;
}
}
};
ovi.service.DownloadManagement.prototype.properties=function(){
try{
var _30=this._DownloadMgtObject.properties();
}
catch(ex){
if(typeof ex.code=="undefined"){
ex.code=ovi.service.GENERAL_ERR;
}
throw new ovi.service.Exception(ex.code,ex.message,ovi.service.DownloadManagement.MODULENAME);
}
return _30;
};
ovi.service.DownloadManagement.prototype.propertiesAsync=function(_31){
if(!(_31 instanceof Function)){
throw new ovi.service.Exception(ovi.service.INVALID_ARG_ERR,"callbackFunc is of invalid type",ovi.service.DownloadManagement.MODULENAME);
}
var _32=this;
var cb=function(_34){
_32._propertiesAsyncCallback(_34);
};
if(this._propertiesReceivedId==-1){
this._propertiesReceivedId=this._DownloadMgtObject.addEventListener("propertiesReceived(const QVariantMap&)",cb);
}
this._propertiesCallbackFuncs.push(_31);
try{
var _35=this._DownloadMgtObject.propertiesAsync();
}
catch(ex){
if(typeof ex.code=="undefined"){
ex.code=ovi.service.GENERAL_ERR;
}
throw new ovi.service.Exception(ex.code,ex.message,ovi.service.DownloadManagement.MODULENAME);
}
if(_35==false){
throw new ovi.service.Exception(ovi.service.NOT_ALLOWED_ERR,"Cannot retrieve download properties",ovi.service.DownloadManagement.MODULENAME);
}
};
ovi.service.DownloadManagement.prototype._propertiesAsyncCallback=function(_36){
var cb=this._propertiesCallbackFuncs.shift();
if(cb==null){
throw new ovi.service.Exception(ovi.service.DATA_NOT_FOUND_ERR,"Unable to retrieve propertiesAsync callback function",ovi.service.DownloadManagement.MODULENAME);
}else{
cb.call(this._context,_36);
if(this._propertiesCallbackFuncs.length==0){
this._DownloadMgtObject.removeEventListener(this._propertiesReceivedId);
this._propertiesReceivedId=-1;
}
}
};
ovi.service.DownloadManagement.prototype.path=function(id){
try{
var _39=this._DownloadMgtObject.path(id);
}
catch(ex){
if(typeof ex.code=="undefined"){
ex.code=ovi.service.GENERAL_ERR;
}
throw new ovi.service.Exception(ex.code,ex.message,ovi.service.DownloadManagement.MODULENAME);
}
return _39;
};
ovi.service.DownloadManagement.prototype.name=function(id){
try{
var _3b=this._DownloadMgtObject.name(id);
}
catch(ex){
if(typeof ex.code=="undefined"){
ex.code=ovi.service.GENERAL_ERR;
}
throw new ovi.service.Exception(ex.code,ex.message,ovi.service.DownloadManagement.MODULENAME);
}
return _3b;
};
ovi.service.DownloadManagement.prototype.destination=function(id,_3d){
if(!(_3d instanceof Function)){
throw new ovi.service.Exception(ovi.service.INVALID_ARG_ERR,"callbackFunc is of invalid type",ovi.service.DownloadManagement.MODULENAME);
}
var _3e=this;
var cb=function(id,_41,_42){
_3e._destinationCallback(id,_41,_42);
};
if(this._destinationReceivedId==-1){
this._destinationReceivedId=this._DownloadMgtObject.addEventListener("destinationReceived(int, const QString&, const QString&)",cb);
}
this._destinationCallbackFuncs.push(_3d);
try{
var _43=this._DownloadMgtObject.destination(id);
}
catch(ex){
if(typeof ex.code=="undefined"){
ex.code=ovi.service.GENERAL_ERR;
}
throw new ovi.service.Exception(ex.code,ex.message,ovi.service.DownloadManagement.MODULENAME);
}
if(_43==false){
throw new ovi.service.Exception(ovi.service.NOT_ALLOWED_ERR,"Cannot get download destination",ovi.service.DownloadManagement.MODULENAME);
}
};
ovi.service.DownloadManagement.prototype._destinationCallback=function(id,_45,_46){
var cb=this._destinationCallbackFuncs.shift();
if(cb==null){
throw new ovi.service.Exception(ovi.service.DATA_NOT_FOUND_ERR,"Unable to retrieve destination callback function",ovi.service.DownloadManagement.MODULENAME);
}else{
cb.call(this._context,id,_45,_46);
if(this._destinationCallbackFuncs.length==0){
this._DownloadMgtObject.removeEventListener(this._destinationReceivedId);
this._destinationReceivedId=-1;
}
}
};
ovi.service.DownloadManagement.prototype.status=function(id){
try{
var _49=this._DownloadMgtObject.status(id);
}
catch(ex){
if(typeof ex.code=="undefined"){
ex.code=ovi.service.GENERAL_ERR;
}
throw new ovi.service.Exception(ex.code,ex.message,ovi.service.DownloadManagement.MODULENAME);
}
return _49;
};
ovi.service.DownloadManagement.prototype.statusAsync=function(id,_4b){
if(!(_4b instanceof Function)){
throw new ovi.service.Exception(ovi.service.INVALID_ARG_ERR,"callbackFunc is of invalid type",ovi.service.DownloadManagement.MODULENAME);
}
var _4c=this;
var cb=function(id,_4f){
_4c._statusAsyncCallback(id,_4f);
};
if(this._statusReceivedId==-1){
this._statusReceivedId=this._DownloadMgtObject.addEventListener("statusReceived(int, const QVariantMap&)",cb);
}
this._statusCallbackFuncs.push(_4b);
try{
var _50=this._DownloadMgtObject.statusAsync(id);
}
catch(ex){
if(typeof ex.code=="undefined"){
ex.code=ovi.service.GENERAL_ERR;
}
throw new ovi.service.Exception(ex.code,ex.message,ovi.service.DownloadManagement.MODULENAME);
}
if(_50==false){
throw new ovi.service.Exception(ovi.service.NOT_ALLOWED_ERR,"Cannot retrieve download status",ovi.service.DownloadManagement.MODULENAME);
}
};
ovi.service.DownloadManagement.prototype._statusAsyncCallback=function(id,_52){
var cb=this._statusCallbackFuncs.shift();
if(cb==null){
throw new ovi.service.Exception(ovi.service.DATA_NOT_FOUND_ERR,"Unable to retrieve statusAsync callback function",ovi.service.DownloadManagement.MODULENAME);
}else{
cb.call(this._context,id,_52);
if(this._statusCallbackFuncs.length==0){
this._DownloadMgtObject.removeEventListener(this._statusReceivedId);
this._statusReceivedId=-1;
}
}
};
ovi.service.DownloadManagement.prototype.subscribe=function(_54){
if(!(_54 instanceof Function)){
throw new ovi.service.Exception(ovi.service.INVALID_ARG_ERR,"callbackFunc is of invalid type",ovi.service.DownloadManagement.MODULENAME);
}
if(typeof this._callbackId!="undefined"){
this._DownloadMgtObject.removeEventListener(this._callbackId);
}
var _55=this._context;
this._callbackId=this._DownloadMgtObject.addEventListener("callback(int)",function(id){
_54.call(_55,id);
});
try{
var _57=this._DownloadMgtObject.setCallbackEnabled(true);
}
catch(ex){
if(typeof ex.code=="undefined"){
ex.code=ovi.service.GENERAL_ERR;
}
throw new ovi.service.Exception(ex.code,ex.message,ovi.service.DownloadManagement.MODULENAME);
}
if(_57==false){
throw new ovi.service.Exception(ovi.service.NOT_ALLOWED_ERR,"Cannot subscribe for download ids",ovi.service.DownloadManagement.MODULENAME);
}
};
ovi.service.DownloadManagement.prototype.unsubscribe=function(){
if(typeof this._callbackId!="undefined"){
this._DownloadMgtObject.removeEventListener(this._callbackId);
}
try{
var _58=this._DownloadMgtObject.setCallbackEnabled(false);
}
catch(ex){
if(typeof ex.code=="undefined"){
ex.code=ovi.service.GENERAL_ERR;
}
throw new ovi.service.Exception(ex.code,ex.message,ovi.service.DownloadManagement.MODULENAME);
}
if(_58==false){
throw new ovi.service.Exception(ovi.service.NOT_ALLOWED_ERR,"Cannot unsubscribe for download ids",ovi.service.DownloadManagement.MODULENAME);
}
};
ovi.service.DownloadManagement.prototype.subscribeStatus=function(_59){
if(!(_59 instanceof Function)){
throw new ovi.service.Exception(ovi.service.INVALID_ARG_ERR,"callbackFunc is of invalid type",ovi.service.DownloadManagement.MODULENAME);
}
if(typeof this._statusCallbackId!="undefined"){
this._DownloadMgtObject.removeEventListener(this._statusCallbackId);
}
var _5a=this._context;
this._statusCallbackId=this._DownloadMgtObject.addEventListener("statusCallback(int, const QVariantMap&)",function(id,_5c){
_59.call(_5a,id,_5c);
});
try{
var _5d=this._DownloadMgtObject.setStatusCallbackEnabled(true);
}
catch(ex){
if(typeof ex.code=="undefined"){
ex.code=ovi.service.GENERAL_ERR;
}
throw new ovi.service.Exception(ex.code,ex.message,ovi.service.DownloadManagement.MODULENAME);
}
if(_5d==false){
throw new ovi.service.Exception(ovi.service.NOT_ALLOWED_ERR,"Cannot subscribe for download status",ovi.service.DownloadManagement.MODULENAME);
}
};
ovi.service.DownloadManagement.prototype.unsubscribeStatus=function(){
if(typeof this._statusCallbackId!="undefined"){
this._DownloadMgtObject.removeEventListener(this._statusCallbackId);
}
try{
var _5e=this._DownloadMgtObject.setStatusCallbackEnabled(false);
}
catch(ex){
if(typeof ex.code=="undefined"){
ex.code=ovi.service.GENERAL_ERR;
}
throw new ovi.service.Exception(ex.code,ex.message,ovi.service.DownloadManagement.MODULENAME);
}
if(_5e==false){
throw new ovi.service.Exception(ovi.service.NOT_ALLOWED_ERR,"Cannot unsubscribe for download status",ovi.service.DownloadManagement.MODULENAME);
}
};

