if(typeof ovi=="undefined"){
ovi={};
}
if(typeof ovi.service=="undefined"){
ovi.service={};
}
ovi.service.RuntimeInfo={};
ovi.service.RuntimeInfo=function(_1,_2){
if(typeof _1=="undefined"){
throw new ovi.service.Exception(ovi.service.INVALID_ARG_ERR,"Invalid context object",ovi.service.RuntimeInfo.MODULENAME);
}else{
this._context=_1;
}
if(typeof _2=="undefined"){
createFactoryObject();
try{
this._so=nokia.services.load("RuntimeInfoService","com.nokia.IRuntimeInfoService","1.0");
}
catch(ex){
throw new ovi.service.Exception(ovi.service.STARTUP_ERR,ex,ovi.service.RuntimeInfo.MODULENAME);
}
}else{
if(typeof _2=="function"){
this._clientcallback=_2;
this._init();
}else{
throw new ovi.service.Exception(ovi.service.INVALID_ARG_ERR,"Invalid Parameter",ovi.service.RuntimeInfo.MODULENAME);
}
}
};
ovi.service.RuntimeInfo.MODULENAME="RuntimeInfo";
ovi.service.RuntimeInfo.VERSION_TYPE_NOT_SUPPORTED=500;
ovi.service.RuntimeInfo.SERVICEPROVIDER_NAME_NOT_FOUND=501;
ovi.service.RuntimeInfo.INSTALLATION_NOT_FOUND=502;
ovi.service.RuntimeInfo.WIDGET_NOT_FOUND=503;
ovi.service.RuntimeInfo.prototype._init=function(){
var _3=this;
var cb=function(){
_3._initcallback();
};
nokia.services.init(cb);
};
ovi.service.RuntimeInfo.prototype._initcallback=function(){
try{
this._so=nokia.services.load("RuntimeInfoService","com.nokia.IRuntimeInfoService","1.0");
var _5=new ovi.service.Error(ovi.service.SUCCESS,"");
}
catch(ex){
var _5=new ovi.service.Error(ovi.service.STARTUP_ERR,ex.message);
}
this._clientcallback.call(this._context,_5);
};
ovi.service.RuntimeInfo.prototype.getVersion=function(_6,_7){
if(typeof _6=="undefined"){
_6="";
}
if(typeof _7=="undefined"){
_7="";
}
var _8;
if(_6=="netscapeplugin"){
_8=this._getNetscapePluginVersion(_7);
}
if(_8==null){
_8=this._so.getVersion(_6,_7);
}
if(_8==null){
throw new ovi.service.Exception(ovi.service.INVALID_ARG_ERR,"Version is of invalid type",ovi.service.RuntimeInfo.MODULENAME);
}else{
switch(_8){
case "VersionTypeNotSupported":
throw new ovi.service.Exception(ovi.service.RuntimeInfo.VERSION_TYPE_NOT_SUPPORTED,"Version type not supported",ovi.service.RuntimeInfo.MODULENAME);
break;
case "NotSupported":
throw new ovi.service.Exception(ovi.service.NOT_SUPPORTED_ERR,"Not supported",ovi.service.RuntimeInfo.MODULENAME);
break;
case "ServiceNotSupport":
throw new ovi.service.Exception(ovi.service.RuntimeInfo.SERVICEPROVIDER_NAME_NOT_FOUND,"Service provider name not found",ovi.service.RuntimeInfo.MODULENAME);
break;
case "SisNotFound":
throw new ovi.service.Exception(ovi.service.RuntimeInfo.INSTALLATION_NOT_FOUND,"Installation not found",ovi.service.RuntimeInfo.MODULENAME);
break;
case "WidgetNotFound":
throw new ovi.service.Exception(ovi.service.RuntimeInfo.WIDGET_NOT_FOUND,"Widget not found",ovi.service.RuntimeInfo.MODULENAME);
break;
case "Error fetching the version":
throw new ovi.service.Exception(ovi.service.GENERAL_ERR,"Error fetching the version",ovi.service.RuntimeInfo.MODULENAME);
break;
}
}
return _8;
};
ovi.service.RuntimeInfo.prototype._getNetscapePluginVersion=function(_9){
var _a;
var _b=navigator.mimeTypes[_9];
if(_b){
var _c=_b.enabledPlugin;
if(_c){
_a=_c["name"]+"; "+_c["description"];
}
}
return _a;
};

