ovi.provide("ovi.service.ThemeManager");
ovi.require("ovi.themes");
ovi.require("ovi.xhr");
ovi.require("ovi.service.sfwapi",false);
ovi.require("ovi.service.sfwiter",false);
ovi.require("ovi.service.exceptions",false);
ovi.require("ovi.service.DeviceConfiguration",false);
ovi.service.ThemeManager=new ovi.Class({Mixins:[ovi.EventSource],Statics:{THEME_CHANGE_EVENT:"ThemeChanged"},_currentTheme:"",_themeAssetsHash:null,_enableOviJS:true,_oviThemesHash:null,_defaultOviTheme:null,_deviceToOviThemeMap:null,_previousOnshowFunc:null,initialize:function(_1,_2){
var _3=(sisuConfig.modulePaths["ovi.service"]?sisuConfig.modulePaths["ovi.service"]:sisuConfig.oviRoot+"service/")+"ThemeManagerConf.json";
var _4=ovi.xhr("GET",{uri:_3});
_4.addCallbacks(ovi.bind(this,callback),ovi.bind(this,errback));
function callback(_5){
var _6=JSON.parse(_5.response);
this._oviThemesHash=_6["oviThemesHash"];
for(var _7 in this._oviThemesHash){
this._oviThemesHash[_7]=sisuConfig.oviRoot+this._oviThemesHash[_7];
}
this._defaultOviTheme=_6["defaultOviTheme"];
this._deviceToOviThemeMap=_6["deviceToOviThemeMap"];
ovi.themes.register(this._oviThemesHash);
this._devConfig=new ovi.service.DeviceConfiguration(this);
if(typeof _1=="string"){
_2=_1;
_1=null;
}
if(_1){
this._themeAssetsHash=_1;
ovi.themes.register(this._themeAssetsHash);
}
if(_2){
this._enableOviJS=false;
}else{
_2=this._mapDeviceTheme(this._devConfig.theme());
}
this._handleTheme(_2);
if(window.widget){
this._previousOnshowFunc=widget.onshow;
widget.onshow=ovi.bind(this,function(){
this._onForeground();
});
}
};
function errback(_8){
ovi.error(_8.error);
};
},destroy:function(){
if(window.widget){
widget.onshow=this._previousOnshowFunc;
}
if(this._oviThemesHash){
ovi.themes.unregister(this._oviThemesHash);
}
if(this._themeAssetsHash){
ovi.themes.unregister(this._themeAssetsHash);
}
delete this._devConfig;
},_onForeground:function(){
var _9=(this._enableOviJS)?this._mapDeviceTheme(this._devConfig.theme()):this._currentTheme;
this._handleTheme(_9);
},_handleTheme:function(_a){
if(_a!=this._currentTheme){
ovi.themes.set(_a);
this._currentTheme=_a;
this.fireEvent({type:ovi.service.ThemeManager.THEME_CHANGE_EVENT,data:this._currentTheme});
}
},_mapDeviceTheme:function(_b){
var _c=this._deviceToOviThemeMap.length;
for(var i=0;i<_c;i++){
var _e=this._deviceToOviThemeMap[i];
if(_e["deviceTheme"]==_b){
return _e["ovijsTheme"];
}
}
return this._defaultOviTheme;
}});

