/**
 *
 * Description : A class that extends ovi.sisu.Model
 *                
 * <p>
 * Filename    : SSOSignInModel.js
 * <p>
 * Part of     : Model
 * <p>
 * ============================================================================
 * <p>
 * Copyright (C) 2008 Nokia.  All rights reserved.
 * <p>
 * This material, including documentation and any related computer
 * programs, is protected by copyright controlled by Nokia.  All
 * rights are reserved.  Copying, including reproducing, storing,
 * adapting or translating, any or all of this material requires the
 * prior written consent of Nokia.  This material also contains
 * confidential information which may not be disclosed to others
 * without the prior written consent of Nokia.
 * <p>
 * ============================================================================
 * @version %version:   3 %
 * @class SSOSignInController
 * @name SSOSignInController 
 */
 
//@TODO: CR: MEDIUM: Documentation for the file header is wrong.  
ovi.provide( 'ssoui.models.SSOAccountManagementModel' );
ovi.require( 'ovi.sisu.Model' );
ovi.require( 'ssoui.utils.SSOConstant',false )
ovi.declare( 'ssoui.models.SSOAccountManagementModel', {
    
    /**
     * SSOAccountManagementModel extends the Model class.
     * @extends ovi.sisu.Model
     */
    Extends: ovi.sisu.Model,
    
    /**     
     * Init the base class
     * @function initialize
     */
    initialize: function() {
        this._super();        
    }
});