/**
 *
 * Description : A class that extends ssoui.views.SSOBaseView
 *               A base class for the wizard related views.
 * <p>
 * Filename    : SSOWizardView.js
 * <p>
 * Part of     : View
 * <p>
 * ============================================================================
 * <p>
 * Copyright (C) 2008 Nokia.  All rights reserved.
 * <p>
 * This material, including documentation and any related computer
 * programs, is protected by copyright controlled by Nokia.  All
 * rights are reserved.  Copying, including reproducing, storing,
 * adapting or translating, any or all of this material requires the
 * prior written consent of Nokia.  This material also contains
 * confidential information which may not be disclosed to others
 * without the prior written consent of Nokia.
 * <p>
 * ============================================================================
 * @class SSOWizardView
 * @name  SSOWizardView 
 */

ovi.provide('ssoui.views.SSOWizardView');
ovi.require('ssoui.ui.SSOUIHelper', false);
ovi.require('ssoui.utils.SSOUtil', false);
ovi.require('ssoui.views.SSOBaseView');
ovi.declare('ssoui.views.SSOWizardView' , {
    
    Extends: ssoui.views.SSOBaseView,
    
	//@TODO: CR: MEDIUM: Function description block missing
    initialize: function(title, header, lsk, rsk) {        
        this._super(title, header, lsk , rsk);
        this._contextId = SSOConstant.SignUpContext;
    },
    
    //@TODO: CR: MEDIUM: Function description block missing
    onLSKClick: function() {    	
    	//this should be implemented by the extending class
        //@TODO: CR: MEDIUM: Below function names are misleading.
        //    Rename them to onLSKClickHandler()
		if(this.onViewSubmit) {
    		var _result = this.onViewSubmit();
			//@TODO: CR: MEDIUM: We do not need to return result. 
			//   Add publish on _result = true
    		if(_result == false) {
    			return false;
    		}
    	}
    	ovi.publish("onLSKClick");
    },
    
    //@TODO: CR: MEDIUM: Function description block missing
    onRSKClick: function() {
    	//this should be implemented by the extending class
		//@TODO: CR: MEDIUM: Below function names are misleading.
		//    Rename them to onRSKClickHandler()
    	if(this.onViewCancel) {
    		var _result = this.onViewCancel();
    		if(_result == false) {
    			return false;
    		}
    	}
    	ovi.publish("onRSKClick");
    }
});